import * as ecs from '@aws-cdk/aws-ecs';
import * as ssm from '@aws-cdk/aws-ssm';
import * as cdk from '@aws-cdk/core';
import { DataDogLoggingMode, RioFargateService } from './rio-fargate-service';
export declare class DataDog {
    static getFargateContainerEnvironmentVariables(scope: cdk.Construct, stage: string, serviceName: string, version: string, accountName: string, teamName: string): {
        [key: string]: string;
    };
    static getApmServiceMappingEnvironmentVariableValue(serviceName: string): string;
    static getFargateDockerLabels(stage: string, serviceName: string, version: string): {
        [key: string]: string;
    };
    static addDatadogSidecar(scope: cdk.Construct, taskDefinition: ecs.TaskDefinition, accountName: string, teamName: string, stage: string, serviceName: string, version: string, datadogApiKeyParameter: ssm.IStringParameter, datadogSite: string, datadogLoggingMode: DataDogLoggingMode, apmGetResourcesToIgnore: string[], cpu: number, memoryLimitMiB: number, essential: boolean, containerTag: string): ecs.ContainerDefinition;
    static getTagsEnvironmentVariableValue(accountId: string, accountName: string, region: string, teamName: string, stage: string, serviceName: string, version: string, containerType: 'service' | 'datadog-sidecar' | 'fluent-bit'): string;
    static addFireLensLogRouter(taskDefinition: ecs.TaskDefinition, cpu: number, memoryLimitMiB: number): ecs.ContainerDefinition;
    static setupLogging(scope: cdk.Construct, accountName: string, teamName: string, stage: string, serviceName: string, version: string, datadogApiKeyParameter: ssm.IStringParameter, datadogLoggingMode: DataDogLoggingMode, datadogSite: string, containerType: 'service' | 'datadog-sidecar'): ecs.LogDriver;
    static ensureLoggingAndMonitoringAreReadyBeforeServiceStarts(rioFargateService: RioFargateService): void;
}
