import * as codepipeline from '@aws-cdk/aws-codepipeline';
import * as codepipeline_actions from '@aws-cdk/aws-codepipeline-actions';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export declare enum TriggerKey {
    /**
     * points to master_repo.zip.
     *
     * @stability stable
     */
    MASTER_REPO = "master_repo.zip",
    /**
     * points to branch_repo.zip.
     *
     * @stability stable
     */
    BRANCH_REPO = "branch_repo.zip"
}
/**
 * @stability stable
 */
export interface RioBitBucketSourceActionProps {
    /**
     * @stability stable
     */
    readonly repositoryName: string;
    /**
     * @stability stable
     */
    readonly sourceArtifact: codepipeline.Artifact;
    /**
     * The path to either master_repo.zip or branch_repo.zip.
     *
     * @default - Points to master_repo.zip.
     * @stability stable
     */
    readonly triggerKey?: TriggerKey;
}
/**
 * @stability stable
 */
export declare class RioBitBucketSourceAction extends codepipeline_actions.S3SourceAction {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, props: RioBitBucketSourceActionProps);
}
