import * as pj from 'projen';
/**
 * @stability stable
 */
export interface RioAwsCdkTypeScriptAppOptions extends pj.awscdk.AwsCdkTypeScriptAppOptions {
    /**
     * Feature toggles used by this library.
     *
     * @stability stable
     */
    readonly toggles?: {
        [key: string]: string;
    };
    /**
     * (experimental) Includes a task to run license check for node projects.
     *
     * @default true
     * @experimental
     */
    readonly nodeLicenseCheck?: boolean;
}
/**
 * RIO AWS CDK TypeScript App Note: This class overwrites any cdkVersion passed in the options by the cdk-construct CDK_VERSION.
 *
 * @stability stable
 */
export declare class RioAwsCdkTypeScriptApp extends pj.awscdk.AwsCdkTypeScriptApp {
    /**
     * @stability stable
     */
    readonly toggles: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    constructor(options: RioAwsCdkTypeScriptAppOptions);
}
