import { Renovate, RenovateOptions } from './renovate';
import { RioAwsCdkTypeScriptApp, RioAwsCdkTypeScriptAppOptions } from './rio-aws-cdk-typescript-app';
/**
 * @stability stable
 */
export interface RioServerlessAppOptions extends RioAwsCdkTypeScriptAppOptions {
    /**
     * Adds support for CdkPipeline.
     *
     * @default true
     * @stability stable
     */
    readonly cdkPipeline?: boolean;
    /**
     * Includes renovate configuration.
     *
     * @stability stable
     */
    readonly renovateOptions?: RenovateOptions;
    /**
     * If renovate should be enabled/disabled.
     *
     * @default true
     * @stability stable
     */
    readonly renovate?: boolean;
    /**
     * (experimental) If pre-commit package should be installed.
     *
     * @default true
     * @experimental
     */
    readonly preCommitHook?: boolean;
}
/**
 * RIO Serverless App.
 *
 * @see {RioAwsCdkTypeScriptApp} this class overwrites any cdkVersion passed in the options
 * @stability stable
 * @pjid rio-serverless-app
 */
export declare class RioServerlessApp extends RioAwsCdkTypeScriptApp {
    /**
     * @stability stable
     */
    readonly renovate: Renovate | undefined;
    /**
     * @stability stable
     */
    constructor(options: RioServerlessAppOptions);
}
