import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export declare enum ClaidometerTemplate {
    /**
     * @stability stable
     */
    FARGATE_WEB_APP = "rio-fargate-web-app",
    /**
     * @stability stable
     */
    SERVERLESS_APP = "rio-serverless-app"
}
/**
 * @stability stable
 */
export declare enum ClaidometerProduct {
    /**
     * @stability stable
     */
    LANDING_ZONE = "LandingZone",
    /**
     * @stability stable
     */
    TEMPLATE = "Template"
}
/**
 * @stability stable
 */
export interface ClaidometerProps {
    /**
     * @stability stable
     */
    readonly product: ClaidometerProduct;
    /**
     * @stability stable
     */
    readonly package: string;
    /**
     * @stability stable
     */
    readonly feature: string;
    /**
     * @stability stable
     */
    readonly version?: string;
}
/**
 * Creates a custom resource to track usage of CLAID prodcuts.
 *
 * @stability stable
 */
export declare class Claidometer extends cdk.Construct {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: ClaidometerProps);
}
