import * as ec2 from '@aws-cdk/aws-ec2';
import * as route53 from '@aws-cdk/aws-route53';
import * as cdk from '@aws-cdk/core';
/**
 * A wrapper to access infrastructure provided by RIO LandingZone setup (like VPC, HostedZone).
 *
 * @stability stable
 */
export declare class RioLandingZone {
    /**
     * Returns the default VPC from RIO LandingZone.
     *
     * @stability stable
     */
    static getDefaultVpc(scope: cdk.Construct): ec2.IVpc;
    /**
     * Returns the default Route53 HostedZone from RIO LandingZone.
     *
     * @stability stable
     */
    static getDefaultHostedZone(scope: cdk.Construct): route53.IHostedZone;
}
