import * as cdk from '@aws-cdk/core';
import { Watchful } from './watchful';
/**
 * A CDK aspect that can automatically watch all resources within a scope.
 *
 * @stability stable
 */
export declare class WatchfulAspect implements cdk.IAspect {
    private readonly watchful;
    /**
     * Defines a watchful aspect.
     *
     * @param watchful The watchful to add those resources to.
     * @stability stable
     */
    constructor(watchful: Watchful);
    /**
     * All aspects can visit an IConstruct.
     *
     * @stability stable
     */
    visit(node: cdk.IConstruct): void;
}
