import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface DataDogLogQueryAlarmProps extends DataDogProps, LogAlarmProps {
}
/**
 * @stability stable
 */
export declare enum UnitOfPeriod {
    /**
     * @stability stable
     */
    SECONDS = "s",
    /**
     * @stability stable
     */
    MINUTES = "m",
    /**
     * @stability stable
     */
    HOURS = "h",
    /**
     * @stability stable
     */
    DAYS = "d"
}
/**
 * @stability stable
 */
export declare enum ComparisonOperator {
    /**
     * @stability stable
     */
    GREATER_THAN_OR_EQUAL_TO_THRESHOLD = ">=",
    /**
     * @stability stable
     */
    GREATER_THAN_THRESHOLD = ">",
    /**
     * @stability stable
     */
    LESS_THAN_OR_EQUAL_TO_THRESHOLD = "<=",
    /**
     * @stability stable
     */
    LESS_THAN_THRESHOLD = "<"
}
/**
 * @stability stable
 */
export interface DataDogProps {
    /**
     * @stability stable
     */
    readonly serviceToken: string;
    /**
     * @stability stable
     */
    readonly serviceName: string;
}
/**
 * @stability stable
 */
export interface LogAlarmProps {
    /**
     * @stability stable
     */
    readonly autoCloseOpsGenieAlerts: boolean;
    /**
     * @stability stable
     */
    readonly period: cdk.Duration;
    /**
     * @stability stable
     */
    readonly unitOfPeriod?: UnitOfPeriod;
    /**
     * @stability stable
     */
    readonly periodOperator: ComparisonOperator;
    /**
     * @stability stable
     */
    readonly statistic: 'count';
    /**
     * @stability stable
     */
    readonly queryFilters: 'error' | 'warn';
    /**
     * @stability stable
     */
    readonly alarmDescription: string;
    /**
     * @stability stable
     */
    readonly threshold: number;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly index: string;
}
/**
 * @stability stable
 */
export declare class DataDogLogAlarm extends cdk.Construct {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: DataDogLogQueryAlarmProps);
    private alarmToDataDogQuery;
    private convertToDatadogPeriod;
}
