# API Reference <a name="API Reference"></a>

## Constructs <a name="Constructs"></a>

### Claidometer <a name="@rioclaid/cdk-constructs.Claidometer"></a>

Creates a custom resource to track usage of CLAID prodcuts.

#### Initializers <a name="@rioclaid/cdk-constructs.Claidometer.Initializer"></a>

```typescript
import { Claidometer } from '@rioclaid/cdk-constructs'

new Claidometer(scope: Construct, id: string, props: ClaidometerProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Claidometer.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Claidometer.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Claidometer.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.ClaidometerProps`](#@rioclaid/cdk-constructs.ClaidometerProps)

---





### DataDogMetricAlarm <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm"></a>

A wrapper for a custom resource that creates a DataDog Monitor.

To use this construct, the DataDog integration needs to be installed.

#### Initializers <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.Initializer"></a>

```typescript
import { DataDogMetricAlarm } from '@rioclaid/cdk-constructs'

new DataDogMetricAlarm(scope: Construct, id: string, props: DataDogMetricAlarmProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.DataDogMetricAlarmProps`](#@rioclaid/cdk-constructs.DataDogMetricAlarmProps)

---

#### Methods <a name="Methods"></a>

##### `alarmToDataDogQuery` <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.alarmToDataDogQuery"></a>

```typescript
public alarmToDataDogQuery(alarm: MetricAlarmProps)
```

###### `alarm`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarm.parameter.alarm"></a>

- *Type:* [`@rioclaid/cdk-constructs.MetricAlarmProps`](#@rioclaid/cdk-constructs.MetricAlarmProps)

---




### RioFargateService <a name="@rioclaid/cdk-constructs.RioFargateService"></a>

- *Implements:* [`@aws-cdk/aws-ec2.IConnectable`](#@aws-cdk/aws-ec2.IConnectable)

#### Initializers <a name="@rioclaid/cdk-constructs.RioFargateService.Initializer"></a>

```typescript
import { RioFargateService } from '@rioclaid/cdk-constructs'

new RioFargateService(scope: Construct, id: string, props: RioFargateServiceProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioFargateServiceProps`](#@rioclaid/cdk-constructs.RioFargateServiceProps)

---



#### Properties <a name="Properties"></a>

##### `connections`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.connections"></a>

```typescript
public readonly connections: Connections;
```

- *Type:* [`@aws-cdk/aws-ec2.Connections`](#@aws-cdk/aws-ec2.Connections)

The network connections associated with this resource.

---

##### `datadogSideCarContainerDefinition`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.datadogSideCarContainerDefinition"></a>

```typescript
public readonly datadogSideCarContainerDefinition: ContainerDefinition;
```

- *Type:* [`@aws-cdk/aws-ecs.ContainerDefinition`](#@aws-cdk/aws-ecs.ContainerDefinition)

---

##### `service`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.service"></a>

```typescript
public readonly service: FargateService;
```

- *Type:* [`@aws-cdk/aws-ecs.FargateService`](#@aws-cdk/aws-ecs.FargateService)

---

##### `serviceContainerDefinition`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.serviceContainerDefinition"></a>

```typescript
public readonly serviceContainerDefinition: ContainerDefinition;
```

- *Type:* [`@aws-cdk/aws-ecs.ContainerDefinition`](#@aws-cdk/aws-ecs.ContainerDefinition)

---

##### `taskDefinition`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.taskDefinition"></a>

```typescript
public readonly taskDefinition: FargateTaskDefinition;
```

- *Type:* [`@aws-cdk/aws-ecs.FargateTaskDefinition`](#@aws-cdk/aws-ecs.FargateTaskDefinition)

---

##### `logRouterContainerDefinition`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.logRouterContainerDefinition"></a>

```typescript
public readonly logRouterContainerDefinition: ContainerDefinition;
```

- *Type:* [`@aws-cdk/aws-ecs.ContainerDefinition`](#@aws-cdk/aws-ecs.ContainerDefinition)

---

##### `targetGroup`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateService.property.targetGroup"></a>

```typescript
public readonly targetGroup: ApplicationTargetGroup;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup)

---


### RioLoadBalancer <a name="@rioclaid/cdk-constructs.RioLoadBalancer"></a>

Creates a secure application load balancer with certificate and Route53 ARecord.

#### Initializers <a name="@rioclaid/cdk-constructs.RioLoadBalancer.Initializer"></a>

```typescript
import { RioLoadBalancer } from '@rioclaid/cdk-constructs'

new RioLoadBalancer(scope: Construct, id: string, props: RioLoadBalancerProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancer.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancer.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancer.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioLoadBalancerProps`](#@rioclaid/cdk-constructs.RioLoadBalancerProps)

---



#### Properties <a name="Properties"></a>

##### `listener`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancer.property.listener"></a>

```typescript
public readonly listener: ApplicationListener;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationListener`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationListener)

---

##### `loadbalancer`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancer.property.loadbalancer"></a>

```typescript
public readonly loadbalancer: ApplicationLoadBalancer;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer)

---


### UpperToLower <a name="@rioclaid/cdk-constructs.UpperToLower"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.UpperToLower.Initializer"></a>

```typescript
import { UpperToLower } from '@rioclaid/cdk-constructs'

new UpperToLower(scope: Construct, id: string)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.UpperToLower.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.UpperToLower.parameter.id"></a>

- *Type:* `string`

---


#### Static Functions <a name="Static Functions"></a>

##### `getOrCreate` <a name="@rioclaid/cdk-constructs.UpperToLower.getOrCreate"></a>

```typescript
import { UpperToLower } from '@rioclaid/cdk-constructs'

UpperToLower.getOrCreate(scope: Construct)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.UpperToLower.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

#### Properties <a name="Properties"></a>

##### `provider`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.UpperToLower.property.provider"></a>

```typescript
public readonly provider: Provider;
```

- *Type:* [`@aws-cdk/custom-resources.Provider`](#@aws-cdk/custom-resources.Provider)

---


### WatchApplicationLoadBalancer <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancer"></a>

A Construct which creates the following alarms for application load balancers:.

rejected connections
- http-code 5xx

#### Initializers <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancer.Initializer"></a>

```typescript
import { WatchApplicationLoadBalancer } from '@rioclaid/cdk-constructs'

new WatchApplicationLoadBalancer(scope: Construct, id: string, props: WatchApplicationLoadBalancerProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancer.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancer.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancer.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps`](#@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps)

---





### WatchApplicationTargetGroup <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroup"></a>

A Construct which creates the following alarms for application target groups:.

http-code 5xx
- target connection errors

#### Initializers <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroup.Initializer"></a>

```typescript
import { WatchApplicationTargetGroup } from '@rioclaid/cdk-constructs'

new WatchApplicationTargetGroup(scope: Construct, id: string, props: WatchApplicationTargetGroupProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroup.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroup.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroup.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps`](#@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps)

---





### WatchCloudfrontDistribution <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistribution"></a>

A Construct which creates the following alarms for cloudfront distributions:.

http-code 5xx
- low cache hits

#### Initializers <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistribution.Initializer"></a>

```typescript
import { WatchCloudfrontDistribution } from '@rioclaid/cdk-constructs'

new WatchCloudfrontDistribution(scope: Construct, id: string, props: WatchCloudfrontDistributionProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistribution.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistribution.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistribution.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps`](#@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps)

---





### WatchDatabaseCluster <a name="@rioclaid/cdk-constructs.WatchDatabaseCluster"></a>

A Construct which creates the following alarms for database clusters:.

cpu utilization
- freeable memory

#### Initializers <a name="@rioclaid/cdk-constructs.WatchDatabaseCluster.Initializer"></a>

```typescript
import { WatchDatabaseCluster } from '@rioclaid/cdk-constructs'

new WatchDatabaseCluster(scope: Construct, id: string, props: WatchDatabaseClusterProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseCluster.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseCluster.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseCluster.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDatabaseClusterProps`](#@rioclaid/cdk-constructs.WatchDatabaseClusterProps)

---





### WatchDocDbCluster <a name="@rioclaid/cdk-constructs.WatchDocDbCluster"></a>

A Construct which creates the following alarms for DocumentDb clusters:.

freeable memory
- swap usage
- free local storage

#### Initializers <a name="@rioclaid/cdk-constructs.WatchDocDbCluster.Initializer"></a>

```typescript
import { WatchDocDbCluster } from '@rioclaid/cdk-constructs'

new WatchDocDbCluster(scope: Construct, id: string, props: WatchDocDbClusterProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbCluster.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbCluster.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbCluster.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDocDbClusterProps`](#@rioclaid/cdk-constructs.WatchDocDbClusterProps)

---





### WatchDynamoDbTable <a name="@rioclaid/cdk-constructs.WatchDynamoDbTable"></a>

A Construct which creates the following alarms for DynamoDb tables:.

read throttles
- write throttles
- throttled requests
- user errors
- system errors

#### Initializers <a name="@rioclaid/cdk-constructs.WatchDynamoDbTable.Initializer"></a>

```typescript
import { WatchDynamoDbTable } from '@rioclaid/cdk-constructs'

new WatchDynamoDbTable(scope: Construct, id: string, props: WatchDynamoDbTableProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTable.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTable.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTable.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDynamoDbTableProps`](#@rioclaid/cdk-constructs.WatchDynamoDbTableProps)

---





### WatchEcsService <a name="@rioclaid/cdk-constructs.WatchEcsService"></a>

A Construct which creates default alarms for ECS services. A Construct which creates the following alarms for ECS services:.

cpu utilization
- memory utilization

#### Initializers <a name="@rioclaid/cdk-constructs.WatchEcsService.Initializer"></a>

```typescript
import { WatchEcsService } from '@rioclaid/cdk-constructs'

new WatchEcsService(scope: Construct, id: string, props: WatchEcsServiceProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchEcsService.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchEcsService.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchEcsService.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchEcsServiceProps`](#@rioclaid/cdk-constructs.WatchEcsServiceProps)

---





### Watchful <a name="@rioclaid/cdk-constructs.Watchful"></a>

- *Implements:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

A construct to watch given scope or resources.

Opinionated DataDog alarms are automatically created for watched resources.

#### Initializers <a name="@rioclaid/cdk-constructs.Watchful.Initializer"></a>

```typescript
import { Watchful } from '@rioclaid/cdk-constructs'

new Watchful(scope: Construct, id: string, props?: WatchfulProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchfulProps`](#@rioclaid/cdk-constructs.WatchfulProps)

---

#### Methods <a name="Methods"></a>

##### `createAlarm` <a name="@rioclaid/cdk-constructs.Watchful.createAlarm"></a>

```typescript
public createAlarm(scope: Construct, id: string, alarm: MetricAlarmProps)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

###### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.id"></a>

- *Type:* `string`

---

###### `alarm`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.alarm"></a>

- *Type:* [`@rioclaid/cdk-constructs.MetricAlarmProps`](#@rioclaid/cdk-constructs.MetricAlarmProps)

The watchful to add those resources to.

---

##### `watchAlb` <a name="@rioclaid/cdk-constructs.Watchful.watchAlb"></a>

```typescript
public watchAlb(alb: ApplicationLoadBalancer, options?: WatchApplicationLoadBalancerOptions)
```

###### `alb`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.alb"></a>

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer)

An application load balancer that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchApplicationLoadBalancerOptions`](#@rioclaid/cdk-constructs.WatchApplicationLoadBalancerOptions)

---

##### `watchApplicationTargetGroup` <a name="@rioclaid/cdk-constructs.Watchful.watchApplicationTargetGroup"></a>

```typescript
public watchApplicationTargetGroup(atg: ApplicationTargetGroup, options?: WatchApplicationTargetGroupOptions)
```

###### `atg`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.atg"></a>

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup)

An application target group that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchApplicationTargetGroupOptions`](#@rioclaid/cdk-constructs.WatchApplicationTargetGroupOptions)

---

##### `watchCloudfrontDistribution` <a name="@rioclaid/cdk-constructs.Watchful.watchCloudfrontDistribution"></a>

```typescript
public watchCloudfrontDistribution(cf: Distribution, options?: WatchCloudfrontDistributionOptions)
```

###### `cf`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.cf"></a>

- *Type:* [`@aws-cdk/aws-cloudfront.Distribution`](#@aws-cdk/aws-cloudfront.Distribution)

A Cloudfront Distribution that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchCloudfrontDistributionOptions`](#@rioclaid/cdk-constructs.WatchCloudfrontDistributionOptions)

---

##### `watchDatabaseCluster` <a name="@rioclaid/cdk-constructs.Watchful.watchDatabaseCluster"></a>

```typescript
public watchDatabaseCluster(databaseCluster: DatabaseCluster, options?: WatchDatabaseClusterOptions)
```

###### `databaseCluster`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.databaseCluster"></a>

- *Type:* [`@aws-cdk/aws-rds.DatabaseCluster`](#@aws-cdk/aws-rds.DatabaseCluster)

An database cluster that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDatabaseClusterOptions`](#@rioclaid/cdk-constructs.WatchDatabaseClusterOptions)

---

##### `watchDocDb` <a name="@rioclaid/cdk-constructs.Watchful.watchDocDb"></a>

```typescript
public watchDocDb(docDb: DatabaseCluster, options?: WatchDocDbClusterOptions)
```

###### `docDb`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.docDb"></a>

- *Type:* [`@aws-cdk/aws-docdb.DatabaseCluster`](#@aws-cdk/aws-docdb.DatabaseCluster)

An  DocDb cluster that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDocDbClusterOptions`](#@rioclaid/cdk-constructs.WatchDocDbClusterOptions)

---

##### `watchDynamoDbTable` <a name="@rioclaid/cdk-constructs.Watchful.watchDynamoDbTable"></a>

```typescript
public watchDynamoDbTable(dynamoDbTable: Table, options?: WatchDynamoDbTableOptions)
```

###### `dynamoDbTable`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.dynamoDbTable"></a>

- *Type:* [`@aws-cdk/aws-dynamodb.Table`](#@aws-cdk/aws-dynamodb.Table)

An database cluster that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchDynamoDbTableOptions`](#@rioclaid/cdk-constructs.WatchDynamoDbTableOptions)

---

##### `watchEcsService` <a name="@rioclaid/cdk-constructs.Watchful.watchEcsService"></a>

```typescript
public watchEcsService(service: BaseService, options?: WatchEcsServiceOptions)
```

###### `service`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.service"></a>

- *Type:* [`@aws-cdk/aws-ecs.BaseService`](#@aws-cdk/aws-ecs.BaseService)

An ECS service that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchEcsServiceOptions`](#@rioclaid/cdk-constructs.WatchEcsServiceOptions)

---

##### `watchLambdaFunction` <a name="@rioclaid/cdk-constructs.Watchful.watchLambdaFunction"></a>

```typescript
public watchLambdaFunction(fn: Function, options?: WatchLambdaFunctionOptions)
```

###### `fn`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.fn"></a>

- *Type:* [`@aws-cdk/aws-lambda.Function`](#@aws-cdk/aws-lambda.Function)

A lambda function that should be watched [disable-awslint:ref-via-interface].

---

###### `options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchLambdaFunctionOptions`](#@rioclaid/cdk-constructs.WatchLambdaFunctionOptions)

---

##### `watchScope` <a name="@rioclaid/cdk-constructs.Watchful.watchScope"></a>

```typescript
public watchScope(scope: Construct)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Watchful.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---




### WatchLambdaFunction <a name="@rioclaid/cdk-constructs.WatchLambdaFunction"></a>

A Construct which creates the following alarms for lambda functions:.

errors
- throttles
- duration

#### Initializers <a name="@rioclaid/cdk-constructs.WatchLambdaFunction.Initializer"></a>

```typescript
import { WatchLambdaFunction } from '@rioclaid/cdk-constructs'

new WatchLambdaFunction(scope: Construct, id: string, props: WatchLambdaFunctionProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunction.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunction.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunction.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.WatchLambdaFunctionProps`](#@rioclaid/cdk-constructs.WatchLambdaFunctionProps)

---





## Structs <a name="Structs"></a>

### ClaidometerProps <a name="@rioclaid/cdk-constructs.ClaidometerProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { ClaidometerProps } from '@rioclaid/cdk-constructs'

const claidometerProps: ClaidometerProps = { ... }
```

##### `feature`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ClaidometerProps.property.feature"></a>

```typescript
public readonly feature: string;
```

- *Type:* `string`

---

##### `package`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ClaidometerProps.property.package"></a>

```typescript
public readonly package: string;
```

- *Type:* `string`

---

##### `product`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ClaidometerProps.property.product"></a>

```typescript
public readonly product: ClaidometerProduct;
```

- *Type:* [`@rioclaid/cdk-constructs.ClaidometerProduct`](#@rioclaid/cdk-constructs.ClaidometerProduct)

---

##### `version`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.ClaidometerProps.property.version"></a>

```typescript
public readonly version: string;
```

- *Type:* `string`

---

### ContainerDefinitionOptions <a name="@rioclaid/cdk-constructs.ContainerDefinitionOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { ContainerDefinitionOptions } from '@rioclaid/cdk-constructs'

const containerDefinitionOptions: ContainerDefinitionOptions = { ... }
```

##### `image`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ContainerDefinitionOptions.property.image"></a>

```typescript
public readonly image: ContainerImage;
```

- *Type:* [`@aws-cdk/aws-ecs.ContainerImage`](#@aws-cdk/aws-ecs.ContainerImage)

The image used to start a container.

This string is passed directly to the Docker daemon.
Images in the Docker Hub registry are available by default.
Other repositories are specified with either repository-url/image:tag or repository-url/image@digest.

---

##### `environment`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.ContainerDefinitionOptions.property.environment"></a>

```typescript
public readonly environment: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}
- *Default:* No environment variables.

The environment variables to pass to the container.

Environment variables set by default are overwritten if passed.

The default environment variables set are

DD_ENV: Set same as prop stage

DD_SERVICE: Set same as prop serviceName

DD_VERSION: Set same as prop version

DD_LOGS_INJECTION: true

DD_SERVICE_MAPPING: database:fargate-web-app-aurora,java-aws-sdk:fargate-web-app-aws-sdk,kafka:fargate-web-app-kafka,mysql:fargate-web-app-aurora

DD_TAGS: env:prod,service:fargate-web-app,version:notag,account_id:${accountID},account_name:${accountName},region:${AWSRegion},team:${teamName from ssm param /config/team/name}

DD_TRACE_SAMPLE_RATE: 1.0

---

##### `healthCheck`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.ContainerDefinitionOptions.property.healthCheck"></a>

```typescript
public readonly healthCheck: HealthCheck;
```

- *Type:* [`@aws-cdk/aws-ecs.HealthCheck`](#@aws-cdk/aws-ecs.HealthCheck)
- *Default:* Health check configuration from container.

The health check command and associated configuration parameters for the container.

---

##### `secrets`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.ContainerDefinitionOptions.property.secrets"></a>

```typescript
public readonly secrets: {[ key: string ]: Secret};
```

- *Type:* {[ key: string ]: [`@aws-cdk/aws-ecs.Secret`](#@aws-cdk/aws-ecs.Secret)}
- *Default:* No secret environment variables.

The secret environment variables to pass to the container.

---

### DatadogIntegrationProps <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { DatadogIntegrationProps } from '@rioclaid/cdk-constructs'

const datadogIntegrationProps: DatadogIntegrationProps = { ... }
```

##### `apmGetEndpointsToIgnore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.apmGetEndpointsToIgnore"></a>

```typescript
public readonly apmGetEndpointsToIgnore: string[];
```

- *Type:* `string`[]
- *Default:* No endpoints are ignored.

GET endpoints to ignore in Datadog's APM overview.

This is useful to filter out all health check calls.

---

##### `cpu`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.cpu"></a>

```typescript
public readonly cpu: number;
```

- *Type:* `number`
- *Default:* 64

The minimum number of CPU units to reserve for the container.

---

##### `datadogSidecarEssential`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.datadogSidecarEssential"></a>

```typescript
public readonly datadogSidecarEssential: boolean;
```

- *Type:* `boolean`
- *Default:* true.

Configure if the Datadog agent sidecar is marked as essential.

---

##### `datadogSidecarTag`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.datadogSidecarTag"></a>

```typescript
public readonly datadogSidecarTag: string;
```

- *Type:* `string`
- *Default:* 'latest'

Configures the docker image tag for datadog sidecar.

---

##### `loggingModeForDatadogAgent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.loggingModeForDatadogAgent"></a>

```typescript
public readonly loggingModeForDatadogAgent: DataDogLoggingMode;
```

- *Type:* [`@rioclaid/cdk-constructs.DataDogLoggingMode`](#@rioclaid/cdk-constructs.DataDogLoggingMode)
- *Default:* No logs in Datadog, Cloudwatch only.

The logging mode for the Datadog agent sidecar.

---

##### `loggingModeForService`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.loggingModeForService"></a>

```typescript
public readonly loggingModeForService: DataDogLoggingMode;
```

- *Type:* [`@rioclaid/cdk-constructs.DataDogLoggingMode`](#@rioclaid/cdk-constructs.DataDogLoggingMode)
- *Default:* Using the Datadog log forwarder lambda provided by the datadog-integration.

The logging mode for the service.

---

##### `memoryLimitMiB`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DatadogIntegrationProps.property.memoryLimitMiB"></a>

```typescript
public readonly memoryLimitMiB: number;
```

- *Type:* `number`
- *Default:* 128

The amount (in MiB) of memory to present to the container.

If your container attempts to exceed the allocated memory, the container
is terminated.

At least one of memoryLimitMiB and memoryReservationMiB is required for non-Fargate services.

---

### DataDogMetricAlarmProps <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps"></a>

Interface for DataDogMonitor implementation.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { DataDogMetricAlarmProps } from '@rioclaid/cdk-constructs'

const dataDogMetricAlarmProps: DataDogMetricAlarmProps = { ... }
```

##### `alarmDescription`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.alarmDescription"></a>

```typescript
public readonly alarmDescription: string;
```

- *Type:* `string`

Description for the alarm.

---

##### `comparisonOperator`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.comparisonOperator"></a>

```typescript
public readonly comparisonOperator: ComparisonOperator;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.ComparisonOperator`](#@aws-cdk/aws-cloudwatch.ComparisonOperator)
- *Default:* GreaterThanOrEqualToThreshold

Comparison to use to check if metric is breaching.

---

##### `evaluationPeriods`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.evaluationPeriods"></a>

```typescript
public readonly evaluationPeriods: number;
```

- *Type:* `number`

The number of periods over which data is compared to the specified threshold.

---

##### `metric`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.metric"></a>

```typescript
public readonly metric: Metric;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.Metric`](#@aws-cdk/aws-cloudwatch.Metric)

The CloudWatch metric used as source for the alarm.

---

##### `threshold`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.threshold"></a>

```typescript
public readonly threshold: number;
```

- *Type:* `number`

The value against which the specified statistic is compared.

---

##### `treatMissingData`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.treatMissingData"></a>

```typescript
public readonly treatMissingData: TreatMissingData;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.TreatMissingData`](#@aws-cdk/aws-cloudwatch.TreatMissingData)
- *Default:* TreatMissingData.Missing

Sets how this alarm is to handle missing data points.

---

##### `dataDogOpsGenieIntegrationName`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.dataDogOpsGenieIntegrationName"></a>

```typescript
public readonly dataDogOpsGenieIntegrationName: string;
```

- *Type:* `string`

The name of DataDog's OpsGenie integration.

Used to automatically create OpsGenie alarms for the created DataDog Monitor.

---

##### `serviceName`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.serviceName"></a>

```typescript
public readonly serviceName: string;
```

- *Type:* `string`

The service name used to name the montors (in datadog-integration).

---

##### `serviceToken`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.DataDogMetricAlarmProps.property.serviceToken"></a>

```typescript
public readonly serviceToken: string;
```

- *Type:* `string`

Service token which points to the DataDog Monitor custom resource lambda or sns topic.

---

### FargateTaskDefinitionProps <a name="@rioclaid/cdk-constructs.FargateTaskDefinitionProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { FargateTaskDefinitionProps } from '@rioclaid/cdk-constructs'

const fargateTaskDefinitionProps: FargateTaskDefinitionProps = { ... }
```

##### `cpu`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.FargateTaskDefinitionProps.property.cpu"></a>

```typescript
public readonly cpu: number;
```

- *Type:* `number`
- *Default:* 512

The number of cpu units used by the task.

For tasks using the Fargate launch type,
this field is required and you must use one of the following values,
which determines your range of valid values for the memory parameter:

256 (.25 vCPU) - Available memory values: 512 (0.5 GB), 1024 (1 GB), 2048 (2 GB)

512 (.5 vCPU) - Available memory values: 1024 (1 GB), 2048 (2 GB), 3072 (3 GB), 4096 (4 GB)

1024 (1 vCPU) - Available memory values: 2048 (2 GB), 3072 (3 GB), 4096 (4 GB), 5120 (5 GB), 6144 (6 GB), 7168 (7 GB), 8192 (8 GB)

2048 (2 vCPU) - Available memory values: Between 4096 (4 GB) and 16384 (16 GB) in increments of 1024 (1 GB)

4096 (4 vCPU) - Available memory values: Between 8192 (8 GB) and 30720 (30 GB) in increments of 1024 (1 GB)

---

##### `memoryLimitMiB`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.FargateTaskDefinitionProps.property.memoryLimitMiB"></a>

```typescript
public readonly memoryLimitMiB: number;
```

- *Type:* `number`
- *Default:* 1024

The amount (in MiB) of memory used by the task.

For tasks using the Fargate launch type,
this field is required and you must use one of the following values, which determines your range of valid values for the cpu parameter:

512 (0.5 GB), 1024 (1 GB), 2048 (2 GB) - Available cpu values: 256 (.25 vCPU)

1024 (1 GB), 2048 (2 GB), 3072 (3 GB), 4096 (4 GB) - Available cpu values: 512 (.5 vCPU)

2048 (2 GB), 3072 (3 GB), 4096 (4 GB), 5120 (5 GB), 6144 (6 GB), 7168 (7 GB), 8192 (8 GB) - Available cpu values: 1024 (1 vCPU)

Between 4096 (4 GB) and 16384 (16 GB) in increments of 1024 (1 GB) - Available cpu values: 2048 (2 vCPU)

Between 8192 (8 GB) and 30720 (30 GB) in increments of 1024 (1 GB) - Available cpu values: 4096 (4 vCPU)

---

##### `desiredCount`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.FargateTaskDefinitionProps.property.desiredCount"></a>

```typescript
public readonly desiredCount: number;
```

- *Type:* `number`
- *Default:* When creating the service, default is 1; when updating the service, default uses
the current task number.

Desired count of running tasks.

---

### GitTagReleaseWorkflowOptions <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflowOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { GitTagReleaseWorkflowOptions } from '@rioclaid/cdk-constructs'

const gitTagReleaseWorkflowOptions: GitTagReleaseWorkflowOptions = { ... }
```

##### `bitbucketProject`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflowOptions.property.bitbucketProject"></a>

```typescript
public readonly bitbucketProject: string;
```

- *Type:* `string`

---

### ListenerRule <a name="@rioclaid/cdk-constructs.ListenerRule"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { ListenerRule } from '@rioclaid/cdk-constructs'

const listenerRule: ListenerRule = { ... }
```

##### `conditions`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ListenerRule.property.conditions"></a>

```typescript
public readonly conditions: ListenerCondition[];
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ListenerCondition`](#@aws-cdk/aws-elasticloadbalancingv2.ListenerCondition)[]

---

##### `priority`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ListenerRule.property.priority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

### LoadBalancerOptions <a name="@rioclaid/cdk-constructs.LoadBalancerOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { LoadBalancerOptions } from '@rioclaid/cdk-constructs'

const loadBalancerOptions: LoadBalancerOptions = { ... }
```

##### `healthCheck`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.healthCheck"></a>

```typescript
public readonly healthCheck: HealthCheck;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.HealthCheck`](#@aws-cdk/aws-elasticloadbalancingv2.HealthCheck)

Health check options.

---

##### `healthCheckGracePeriod`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.healthCheckGracePeriod"></a>

```typescript
public readonly healthCheckGracePeriod: Duration;
```

- *Type:* [`@aws-cdk/core.Duration`](#@aws-cdk/core.Duration)

Health check grace period.

---

##### `listener`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.listener"></a>

```typescript
public readonly listener: IApplicationListener;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.IApplicationListener`](#@aws-cdk/aws-elasticloadbalancingv2.IApplicationListener)

Listener for an Application Load Balancer.

---

##### `listenerRules`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.listenerRules"></a>

```typescript
public readonly listenerRules: ListenerRule[];
```

- *Type:* [`@rioclaid/cdk-constructs.ListenerRule`](#@rioclaid/cdk-constructs.ListenerRule)[]

One or more path patterns to compare against the request URL.

The maximum size of each string is 128 characters.
The comparison is case sensitive.
The following wildcard characters are supported: * (matches 0 or more characters) and ? (matches exactly 1 character).

Update requires: No interruption

---

##### `deregistrationDelay`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.deregistrationDelay"></a>

```typescript
public readonly deregistrationDelay: Duration;
```

- *Type:* [`@aws-cdk/core.Duration`](#@aws-cdk/core.Duration)
- *Default:* 5

The amount of time for Elastic Load Balancing to wait before deregistering a target.

The range is 0-3600 seconds.

---

##### `slowStart`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.LoadBalancerOptions.property.slowStart"></a>

```typescript
public readonly slowStart: Duration;
```

- *Type:* [`@aws-cdk/core.Duration`](#@aws-cdk/core.Duration)
- *Default:* undefined

The time period during which the load balancer sends a newly registered target a linearly increasing share of the traffic to the target group.

The range is 30-900 seconds (15 minutes).

---

### MetricAlarmProps <a name="@rioclaid/cdk-constructs.MetricAlarmProps"></a>

An interface to define a generic alarm that can be used in DataDog as well as in CloudWatch.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { MetricAlarmProps } from '@rioclaid/cdk-constructs'

const metricAlarmProps: MetricAlarmProps = { ... }
```

##### `alarmDescription`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.alarmDescription"></a>

```typescript
public readonly alarmDescription: string;
```

- *Type:* `string`

Description for the alarm.

---

##### `comparisonOperator`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.comparisonOperator"></a>

```typescript
public readonly comparisonOperator: ComparisonOperator;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.ComparisonOperator`](#@aws-cdk/aws-cloudwatch.ComparisonOperator)
- *Default:* GreaterThanOrEqualToThreshold

Comparison to use to check if metric is breaching.

---

##### `evaluationPeriods`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.evaluationPeriods"></a>

```typescript
public readonly evaluationPeriods: number;
```

- *Type:* `number`

The number of periods over which data is compared to the specified threshold.

---

##### `metric`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.metric"></a>

```typescript
public readonly metric: Metric;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.Metric`](#@aws-cdk/aws-cloudwatch.Metric)

The CloudWatch metric used as source for the alarm.

---

##### `threshold`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.threshold"></a>

```typescript
public readonly threshold: number;
```

- *Type:* `number`

The value against which the specified statistic is compared.

---

##### `treatMissingData`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.MetricAlarmProps.property.treatMissingData"></a>

```typescript
public readonly treatMissingData: TreatMissingData;
```

- *Type:* [`@aws-cdk/aws-cloudwatch.TreatMissingData`](#@aws-cdk/aws-cloudwatch.TreatMissingData)
- *Default:* TreatMissingData.Missing

Sets how this alarm is to handle missing data points.

---

### PackageRule <a name="@rioclaid/cdk-constructs.PackageRule"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { PackageRule } from '@rioclaid/cdk-constructs'

const packageRule: PackageRule = { ... }
```

##### `allowedVersions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.PackageRule.property.allowedVersions"></a>

```typescript
public readonly allowedVersions: string;
```

- *Type:* `string`

A version range or regex pattern capturing allowed versions for dependencies.

---

##### `matchPackageNames`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.PackageRule.property.matchPackageNames"></a>

```typescript
public readonly matchPackageNames: string[];
```

- *Type:* `string`[]

Package names to match.

---

### RenovateOptions <a name="@rioclaid/cdk-constructs.RenovateOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RenovateOptions } from '@rioclaid/cdk-constructs'

const renovateOptions: RenovateOptions = { ... }
```

##### `ignoreDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RenovateOptions.property.ignoreDeps"></a>

```typescript
public readonly ignoreDeps: string[];
```

- *Type:* `string`[]
- *Default:* none

Dependencies to ignore.

Wildcards are not supported!
Ref: https://docs.renovatebot.com/configuration-options/#ignoredeps

---

##### `ignorePaths`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RenovateOptions.property.ignorePaths"></a>

```typescript
public readonly ignorePaths: string[];
```

- *Type:* `string`[]
- *Default:* 'nothing is ignored'

Skip any package file whose path matches one of these.

Can be a string or glob pattern.
Ref: https://docs.renovatebot.com/configuration-options/#ignorepaths

---

##### `packageRules`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RenovateOptions.property.packageRules"></a>

```typescript
public readonly packageRules: PackageRule[];
```

- *Type:* [`@rioclaid/cdk-constructs.PackageRule`](#@rioclaid/cdk-constructs.PackageRule)[]
- *Default:* none

packageRules is a powerful feature that lets you apply rules to individual packages or to groups of packages using regex pattern matching.

Ref: https://docs.renovatebot.com/configuration-options/#packagerules

---

##### `schedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RenovateOptions.property.schedule"></a>

```typescript
public readonly schedule: string[];
```

- *Type:* `string`[]
- *Default:* 'run anytime'

Times of day/week to limit branch creation to.

Ref: https://docs.renovatebot.com/configuration-options/#schedule

---

### RioAwsCdkTypeScriptAppOptions <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioAwsCdkTypeScriptAppOptions } from '@rioclaid/cdk-constructs'

const rioAwsCdkTypeScriptAppOptions: RioAwsCdkTypeScriptAppOptions = { ... }
```

##### `mergify`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.mergify"></a>

```typescript
public readonly mergify: boolean;
```

- *Type:* `boolean`
- *Default:* true

Whether mergify should be enabled on this repository or not.

---

##### `name`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* $BASEDIR

This is the name of your project.

---

##### `clobber`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.clobber"></a>

```typescript
public readonly clobber: boolean;
```

- *Type:* `boolean`
- *Default:* true

Add a `clobber` task which resets the repo to origin.

---

##### `devContainer`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.devContainer"></a>

```typescript
public readonly devContainer: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a VSCode development environment (used for GitHub Codespaces).

---

##### `gitpod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.gitpod"></a>

```typescript
public readonly gitpod: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a Gitpod development environment.

---

##### `logging`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.logging"></a>

```typescript
public readonly logging: LoggerOptions;
```

- *Type:* [`projen.LoggerOptions`](#projen.LoggerOptions)
- *Default:* {}

Configure logging options such as verbosity.

---

##### `outdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.outdir"></a>

```typescript
public readonly outdir: string;
```

- *Type:* `string`
- *Default:* "."

The root directory of the project.

Relative to this directory, all files are synthesized.

If this project has a parent, this directory is relative to the parent
directory and it cannot be the same as the parent or any of it's other
sub-projects.

---

##### `parent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.parent"></a>

```typescript
public readonly parent: Project;
```

- *Type:* [`projen.Project`](#projen.Project)

The parent project, if this project is part of a bigger project.

---

##### `projectType`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projectType"></a>

```typescript
public readonly projectType: ProjectType;
```

- *Type:* [`projen.ProjectType`](#projen.ProjectType)
- *Default:* ProjectType.UNKNOWN

Which type of project this is (library/app).

---

##### `readme`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.readme"></a>

```typescript
public readonly readme: SampleReadmeProps;
```

- *Type:* [`projen.SampleReadmeProps`](#projen.SampleReadmeProps)
- *Default:* { filename: 'README.md', contents: '# replace this' }

The README setup.

---

##### `allowLibraryDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.allowLibraryDependencies"></a>

```typescript
public readonly allowLibraryDependencies: boolean;
```

- *Type:* `boolean`
- *Default:* true

Allow the project to include `peerDependencies` and `bundledDependencies`.

This is normally only allowed for libraries. For apps, there's no meaning
for specifying these.

---

##### `authorEmail`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.authorEmail"></a>

```typescript
public readonly authorEmail: string;
```

- *Type:* `string`

Author's e-mail.

---

##### `authorName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.authorName"></a>

```typescript
public readonly authorName: string;
```

- *Type:* `string`

Author's name.

---

##### `authorOrganization`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.authorOrganization"></a>

```typescript
public readonly authorOrganization: boolean;
```

- *Type:* `boolean`

Author's Organization.

---

##### `authorUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.authorUrl"></a>

```typescript
public readonly authorUrl: string;
```

- *Type:* `string`

Author's URL / Website.

---

##### `autoDetectBin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.autoDetectBin"></a>

```typescript
public readonly autoDetectBin: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically add all executables under the `bin` directory to your `package.json` file under the `bin` section.

---

##### `bin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.bin"></a>

```typescript
public readonly bin: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Binary programs vended with your module.

You can use this option to add/customize how binaries are represented in
your `package.json`, but unless `autoDetectBin` is `false`, every
executable file under `bin` will automatically be added to this section.

---

##### `bundledDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.bundledDeps"></a>

```typescript
public readonly bundledDeps: string[];
```

- *Type:* `string`[]

List of dependencies to bundle into this module.

These modules will be
added both to the `dependencies` section and `peerDependencies` section of
your `package.json`.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `deps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.deps"></a>

```typescript
public readonly deps: string[];
```

- *Type:* `string`[]
- *Default:* []

Runtime dependencies of this module.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `description`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

The description is just a string that helps people understand the purpose of the package.

It can be used when searching for packages in a package manager as well.
See https://classic.yarnpkg.com/en/docs/package-json/#toc-description

---

##### `devDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.devDeps"></a>

```typescript
public readonly devDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Build dependencies for this module.

These dependencies will only be
available in your build environment but will not be fetched when this
module is consumed.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `entrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.entrypoint"></a>

```typescript
public readonly entrypoint: string;
```

- *Type:* `string`
- *Default:* "lib/index.js"

Module entrypoint (`main` in `package.json`).

Set to an empty string to not include `main` in your package.json

---

##### `homepage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.homepage"></a>

```typescript
public readonly homepage: string;
```

- *Type:* `string`

Package's Homepage / Website.

---

##### `keywords`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.keywords"></a>

```typescript
public readonly keywords: string[];
```

- *Type:* `string`[]

Keywords to include in `package.json`.

---

##### `license`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.license"></a>

```typescript
public readonly license: string;
```

- *Type:* `string`
- *Default:* "Apache-2.0"

License's SPDX identifier.

See https://github.com/projen/projen/tree/master/license-text for a list of supported licenses.
Use the `licensed` option if you want to no license to be specified.

---

##### `licensed`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.licensed"></a>

```typescript
public readonly licensed: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates if a license should be added.

---

##### `maxNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.maxNodeVersion"></a>

```typescript
public readonly maxNodeVersion: string;
```

- *Type:* `string`
- *Default:* no max

Minimum node.js version to require via `engines` (inclusive).

---

##### `minNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.minNodeVersion"></a>

```typescript
public readonly minNodeVersion: string;
```

- *Type:* `string`
- *Default:* no "engines" specified

Minimum Node.js version to require via package.json `engines` (inclusive).

---

##### `npmAccess`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmAccess"></a>

```typescript
public readonly npmAccess: NpmAccess;
```

- *Type:* [`projen.NpmAccess`](#projen.NpmAccess)
- *Default:* for scoped packages (e.g. `foo@bar`), the default is
`NpmAccess.RESTRICTED`, for non-scoped packages, the default is
`NpmAccess.PUBLIC`.

Access level of the npm package.

---

##### `npmDistTag`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmDistTag"></a>

```typescript
public readonly npmDistTag: string;
```

- *Type:* `string`
- *Default:* "latest"

Tags can be used to provide an alias instead of version numbers.

For example, a project might choose to have multiple streams of development
and use a different tag for each stream, e.g., stable, beta, dev, canary.

By default, the `latest` tag is used by npm to identify the current version
of a package, and `npm install <pkg>` (without any `@<version>` or `@<tag>`
specifier) installs the latest tag. Typically, projects only use the
`latest` tag for stable release versions, and use other tags for unstable
versions such as prereleases.

The `next` tag is used by some projects to identify the upcoming version.

---

##### ~~`npmRegistry`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmRegistry"></a>

- *Deprecated:* use `npmRegistryUrl` instead

```typescript
public readonly npmRegistry: string;
```

- *Type:* `string`

The host name of the npm registry to publish to.

Cannot be set together with `npmRegistryUrl`.

---

##### `npmRegistryUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmRegistryUrl"></a>

```typescript
public readonly npmRegistryUrl: string;
```

- *Type:* `string`
- *Default:* "https://registry.npmjs.org"

The base URL of the npm package registry.

Must be a URL (e.g. start with "https://" or "http://")

---

##### `npmTaskExecution`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmTaskExecution"></a>

```typescript
public readonly npmTaskExecution: NpmTaskExecution;
```

- *Type:* [`projen.NpmTaskExecution`](#projen.NpmTaskExecution)
- *Default:* NpmTaskExecution.PROJEN

Determines how tasks are executed when invoked as npm scripts (yarn/npm run xyz).

---

##### `npmTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmTokenSecret"></a>

```typescript
public readonly npmTokenSecret: string;
```

- *Type:* `string`
- *Default:* "NPM_TOKEN"

GitHub secret which contains the NPM token to use when publishing packages.

---

##### `packageManager`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.packageManager"></a>

```typescript
public readonly packageManager: NodePackageManager;
```

- *Type:* [`projen.NodePackageManager`](#projen.NodePackageManager)
- *Default:* NodePackageManager.YARN

The Node Package Manager used to execute scripts.

---

##### `packageName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.packageName"></a>

```typescript
public readonly packageName: string;
```

- *Type:* `string`
- *Default:* defaults to project name

The "name" in package.json.

---

##### `peerDependencyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.peerDependencyOptions"></a>

```typescript
public readonly peerDependencyOptions: PeerDependencyOptions;
```

- *Type:* [`projen.PeerDependencyOptions`](#projen.PeerDependencyOptions)

Options for `peerDeps`.

---

##### `peerDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.peerDeps"></a>

```typescript
public readonly peerDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Peer dependencies for this module.

Dependencies listed here are required to
be installed (and satisfied) by the _consumer_ of this library. Using peer
dependencies allows you to ensure that only a single module of a certain
library exists in the `node_modules` tree of your consumers.

Note that prior to npm@7, peer dependencies are _not_ automatically
installed, which means that adding peer dependencies to a library will be a
breaking change for your customers.

Unless `peerDependencyOptions.pinnedDevDependency` is disabled (it is
enabled by default), projen will automatically add a dev dependency with a
pinned version for each peer dependency. This will ensure that you build &
test your module against the lowest peer version required.

---

##### `projenCommand`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenCommand"></a>

```typescript
public readonly projenCommand: string;
```

- *Type:* `string`
- *Default:* "npx projen"

The shell command to use in order to run the projen CLI.

Can be used to customize in special environments.

---

##### `repository`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.repository"></a>

```typescript
public readonly repository: string;
```

- *Type:* `string`

The repository is the location where the actual code for your package lives.

See https://classic.yarnpkg.com/en/docs/package-json/#toc-repository

---

##### `repositoryDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.repositoryDirectory"></a>

```typescript
public readonly repositoryDirectory: string;
```

- *Type:* `string`

If the package.json for your package is not in the root directory (for example if it is part of a monorepo), you can specify the directory in which it lives.

---

##### `scripts`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.scripts"></a>

```typescript
public readonly scripts: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}
- *Default:* {}

npm scripts to include.

If a script has the same name as a standard script,
the standard script will be overwritten.

---

##### `stability`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.stability"></a>

```typescript
public readonly stability: string;
```

- *Type:* `string`

Package's Stability.

---

##### `defaultReleaseBranch`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.defaultReleaseBranch"></a>

```typescript
public readonly defaultReleaseBranch: string;
```

- *Type:* `string`
- *Default:* "main"

The name of the main release branch.

NOTE: this field is temporarily required as we migrate the default value
from "master" to "main". Shortly, it will be made optional with "main" as
the default.

---

##### `antitamper`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.antitamper"></a>

```typescript
public readonly antitamper: boolean;
```

- *Type:* `boolean`
- *Default:* true

Checks that after build there are no modified files on git.

---

##### `artifactsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.artifactsDirectory"></a>

```typescript
public readonly artifactsDirectory: string;
```

- *Type:* `string`
- *Default:* "dist"

A directory which will contain artifacts to be published to npm.

---

##### `buildWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.buildWorkflow"></a>

```typescript
public readonly buildWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for building PRs.

---

##### `codeCov`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.codeCov"></a>

```typescript
public readonly codeCov: boolean;
```

- *Type:* `boolean`
- *Default:* false

Define a GitHub workflow step for sending code coverage metrics to https://codecov.io/ Uses codecov/codecov-action@v1 A secret is required for private repos. Configured with @codeCovTokenSecret.

---

##### `codeCovTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.codeCovTokenSecret"></a>

```typescript
public readonly codeCovTokenSecret: string;
```

- *Type:* `string`
- *Default:* if this option is not specified, only public repositories are supported

Define the secret name for a specified https://codecov.io/ token A secret is required to send coverage for private repositories.

---

##### `copyrightOwner`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.copyrightOwner"></a>

```typescript
public readonly copyrightOwner: string;
```

- *Type:* `string`
- *Default:* defaults to the value of authorName or "" if `authorName` is undefined.

License copyright owner.

---

##### `copyrightPeriod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.copyrightPeriod"></a>

```typescript
public readonly copyrightPeriod: string;
```

- *Type:* `string`
- *Default:* current year

The copyright years to put in the LICENSE file.

---

##### ~~`dependabot`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.dependabot"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabot: boolean;
```

- *Type:* `boolean`
- *Default:* false

Include dependabot configuration.

---

##### ~~`dependabotOptions`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.dependabotOptions"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabotOptions: DependabotOptions;
```

- *Type:* [`projen.github.DependabotOptions`](#projen.github.DependabotOptions)
- *Default:* default options

Options for dependabot.

---

##### `depsUpgrade`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.depsUpgrade"></a>

```typescript
public readonly depsUpgrade: DependenciesUpgradeMechanism;
```

- *Type:* [`projen.DependenciesUpgradeMechanism`](#projen.DependenciesUpgradeMechanism)
- *Default:* DependenciesUpgrade.GITHUB_ACTIONS

How to handle dependency upgrades.

---

##### `gitignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.gitignore"></a>

```typescript
public readonly gitignore: string[];
```

- *Type:* `string`[]

Additional entries to .gitignore.

---

##### `initialVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.initialVersion"></a>

```typescript
public readonly initialVersion: string;
```

- *Type:* `string`
- *Default:* "v0.1.0"

The initial version of the repo.

The first release will bump over this
version, so it will be v0.1.1 or v0.2.0 (depending on whether the first
bump is minor or patch).

---

##### `jest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.jest"></a>

```typescript
public readonly jest: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup jest unit tests.

---

##### `jestOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.jestOptions"></a>

```typescript
public readonly jestOptions: JestOptions;
```

- *Type:* [`projen.JestOptions`](#projen.JestOptions)
- *Default:* default options

Jest options.

---

##### `jsiiReleaseVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.jsiiReleaseVersion"></a>

```typescript
public readonly jsiiReleaseVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

Version requirement of `jsii-release` which is used to publish modules to npm.

---

##### `mergifyAutoMergeLabel`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.mergifyAutoMergeLabel"></a>

```typescript
public readonly mergifyAutoMergeLabel: string;
```

- *Type:* `string`
- *Default:* "auto-merge"

Automatically merge PRs that build successfully and have this label.

To disable, set this value to an empty string.

---

##### `mergifyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.mergifyOptions"></a>

```typescript
public readonly mergifyOptions: MergifyOptions;
```

- *Type:* [`projen.github.MergifyOptions`](#projen.github.MergifyOptions)
- *Default:* default options

Options for mergify.

---

##### `mutableBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.mutableBuild"></a>

```typescript
public readonly mutableBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically update files modified during builds to pull-request branches.

This means
that any files synthesized by projen or e.g. test snapshots will always be up-to-date
before a PR is merged.

Implies that PR builds do not have anti-tamper checks.

---

##### `npmignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmignore"></a>

```typescript
public readonly npmignore: string[];
```

- *Type:* `string`[]

Additional entries to .npmignore.

---

##### `npmignoreEnabled`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.npmignoreEnabled"></a>

```typescript
public readonly npmignoreEnabled: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines an .npmignore file. Normally this is only needed for libraries that are packaged as tarballs.

---

##### `projenDevDependency`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenDevDependency"></a>

```typescript
public readonly projenDevDependency: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates of "projen" should be installed as a devDependency.

---

##### `projenDuringBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenDuringBuild"></a>

```typescript
public readonly projenDuringBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Execute `projen` as the first step of the `build` task to synthesize project files.

This applies both to local builds and to CI builds.

Disabling this feature is NOT RECOMMENDED and means that manual changes to
synthesized project files will be persisted.

---

##### `projenrcJs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenrcJs"></a>

```typescript
public readonly projenrcJs: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate (once) .projenrc.js (in JavaScript). Set to `false` in order to disable .projenrc.js generation.

---

##### `projenrcJsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenrcJsOptions"></a>

```typescript
public readonly projenrcJsOptions: ProjenrcOptions;
```

- *Type:* [`projen.javascript.ProjenrcOptions`](#projen.javascript.ProjenrcOptions)
- *Default:* default options

Options for .projenrc.js.

---

##### `projenUpgradeAutoMerge`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenUpgradeAutoMerge"></a>

```typescript
public readonly projenUpgradeAutoMerge: boolean;
```

- *Type:* `boolean`
- *Default:* "true" if mergify auto-merge is enabled (default)

Automatically merge projen upgrade PRs when build passes.

Applies the `mergifyAutoMergeLabel` to the PR if enabled.

---

##### `projenUpgradeSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenUpgradeSchedule"></a>

```typescript
public readonly projenUpgradeSchedule: string[];
```

- *Type:* `string`[]
- *Default:* [ "0 6 * * *" ]

Customize the projenUpgrade schedule in cron expression.

---

##### `projenUpgradeSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenUpgradeSecret"></a>

```typescript
public readonly projenUpgradeSecret: string;
```

- *Type:* `string`
- *Default:* no automatic projen upgrade pull requests

Periodically submits a pull request for projen upgrades (executes `yarn projen:upgrade`).

This setting is a GitHub secret name which contains a GitHub Access Token
with `repo` and `workflow` permissions.

This token is used to submit the upgrade pull request, which will likely
include workflow updates.

To create a personal access token see https://github.com/settings/tokens

---

##### `projenVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenVersion"></a>

```typescript
public readonly projenVersion: string;
```

- *Type:* `string`
- *Default:* Defaults to the latest version.

Version of projen to install.

---

##### `pullRequestTemplate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.pullRequestTemplate"></a>

```typescript
public readonly pullRequestTemplate: boolean;
```

- *Type:* `boolean`
- *Default:* true

Include a GitHub pull request template.

---

##### `pullRequestTemplateContents`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.pullRequestTemplateContents"></a>

```typescript
public readonly pullRequestTemplateContents: string;
```

- *Type:* `string`
- *Default:* default content

The contents of the pull request template.

---

##### `releaseBranches`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseBranches"></a>

```typescript
public readonly releaseBranches: string[];
```

- *Type:* `string`[]
- *Default:* [ "main" ]

Branches which trigger a release.

Default value is based on defaultReleaseBranch.

---

##### `releaseEveryCommit`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseEveryCommit"></a>

```typescript
public readonly releaseEveryCommit: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically release new versions every commit to one of branches in `releaseBranches`.

---

##### `releaseSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseSchedule"></a>

```typescript
public readonly releaseSchedule: string;
```

- *Type:* `string`
- *Default:* no scheduled releases

CRON schedule to trigger new releases.

---

##### `releaseToNpm`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseToNpm"></a>

```typescript
public readonly releaseToNpm: boolean;
```

- *Type:* `boolean`
- *Default:* false

Automatically release to npm when new versions are introduced.

---

##### `releaseWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseWorkflow"></a>

```typescript
public readonly releaseWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for releasing from "main" when new versions are bumped.

Requires that `version` will be undefined.

---

##### `releaseWorkflowSetupSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.releaseWorkflowSetupSteps"></a>

```typescript
public readonly releaseWorkflowSetupSteps: any[];
```

- *Type:* `any`[]

A set of workflow steps to execute in order to setup the workflow container.

---

##### `workflowBootstrapSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.workflowBootstrapSteps"></a>

```typescript
public readonly workflowBootstrapSteps: any[];
```

- *Type:* `any`[]
- *Default:* "yarn install --frozen-lockfile && yarn projen"

Workflow steps to use in order to bootstrap this repo.

---

##### `workflowContainerImage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.workflowContainerImage"></a>

```typescript
public readonly workflowContainerImage: string;
```

- *Type:* `string`
- *Default:* default image

Container image to use for GitHub workflows.

---

##### `workflowNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.workflowNodeVersion"></a>

```typescript
public readonly workflowNodeVersion: string;
```

- *Type:* `string`
- *Default:* same as `minNodeVersion`

The node version to use in GitHub workflows.

---

##### `compileBeforeTest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.compileBeforeTest"></a>

```typescript
public readonly compileBeforeTest: boolean;
```

- *Type:* `boolean`
- *Default:* if `testdir` is under `src/**`, the default is `true`, otherwise the default is `false.

Compile the code before running tests.

---

##### `disableTsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.disableTsconfig"></a>

```typescript
public readonly disableTsconfig: boolean;
```

- *Type:* `boolean`
- *Default:* false

Do not generate a `tsconfig.json` file (used by jsii projects since tsconfig.json is generated by the jsii compiler).

---

##### `docgen`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.docgen"></a>

```typescript
public readonly docgen: boolean;
```

- *Type:* `boolean`
- *Default:* false

Docgen by Typedoc.

---

##### `docsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.docsDirectory"></a>

```typescript
public readonly docsDirectory: string;
```

- *Type:* `string`
- *Default:* "docs"

Docs directory.

---

##### `entrypointTypes`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.entrypointTypes"></a>

```typescript
public readonly entrypointTypes: string;
```

- *Type:* `string`
- *Default:* .d.ts file derived from the project's entrypoint (usually lib/index.d.ts)

The .d.ts file that includes the type declarations for this module.

---

##### `eslint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.eslint"></a>

```typescript
public readonly eslint: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup eslint.

---

##### `eslintOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.eslintOptions"></a>

```typescript
public readonly eslintOptions: EslintOptions;
```

- *Type:* [`projen.EslintOptions`](#projen.EslintOptions)
- *Default:* opinionated default options

Eslint options.

---

##### `libdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.libdir"></a>

```typescript
public readonly libdir: string;
```

- *Type:* `string`
- *Default:* "lib"

Typescript  artifacts output directory.

---

##### `package`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.package"></a>

```typescript
public readonly package: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines a `yarn package` command that will produce a tarball and place it under `dist/js`.

---

##### `projenrcTs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenrcTs"></a>

```typescript
public readonly projenrcTs: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use TypeScript for your projenrc file (`.projenrc.ts`).

---

##### `projenrcTsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.projenrcTsOptions"></a>

```typescript
public readonly projenrcTsOptions: ProjenrcOptions;
```

- *Type:* [`projen.typescript.ProjenrcOptions`](#projen.typescript.ProjenrcOptions)

Options for .projenrc.ts.

---

##### `sampleCode`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.sampleCode"></a>

```typescript
public readonly sampleCode: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate one-time sample in `src/` and `test/` if there are no files there.

---

##### `srcdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.srcdir"></a>

```typescript
public readonly srcdir: string;
```

- *Type:* `string`
- *Default:* "src"

Typescript sources directory.

---

##### `testdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.testdir"></a>

```typescript
public readonly testdir: string;
```

- *Type:* `string`
- *Default:* "test"

Jest tests directory. Tests files should be named `xxx.test.ts`.

If this directory is under `srcdir` (e.g. `src/test`, `src/__tests__`),
then tests are going to be compiled into `lib/` and executed as javascript.
If the test directory is outside of `src`, then we configure jest to
compile the code in-memory.

---

##### `tsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.tsconfig"></a>

```typescript
public readonly tsconfig: TypescriptConfigOptions;
```

- *Type:* [`projen.TypescriptConfigOptions`](#projen.TypescriptConfigOptions)

Custom TSConfig.

---

##### `typescriptVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.typescriptVersion"></a>

```typescript
public readonly typescriptVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

TypeScript version to use.

NOTE: Typescript is not semantically versioned and should remain on the
same minor, so we recommend using a `~` dependency (e.g. `~1.2.3`).

---

##### `cdkVersion`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.cdkVersion"></a>

```typescript
public readonly cdkVersion: string;
```

- *Type:* `string`
- *Default:* "1.95.2"

AWS CDK version to use.

---

##### `appEntrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.appEntrypoint"></a>

```typescript
public readonly appEntrypoint: string;
```

- *Type:* `string`
- *Default:* "main.ts"

The CDK app's entrypoint (relative to the source directory, which is "src" by default).

---

##### `cdkDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.cdkDependencies"></a>

```typescript
public readonly cdkDependencies: string[];
```

- *Type:* `string`[]

Which AWS CDK modules (those that start with "@aws-cdk/") this app uses.

---

##### `cdkVersionPinning`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.cdkVersionPinning"></a>

```typescript
public readonly cdkVersionPinning: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use pinned version instead of caret version for CDK.

You can use this to prevent yarn to mix versions for your CDK dependencies and to prevent auto-updates.
If you use experimental features this will let you define the moment you include breaking changes.

---

##### `context`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.context"></a>

```typescript
public readonly context: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Additional context to include in `cdk.json`.

---

##### `requireApproval`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.requireApproval"></a>

```typescript
public readonly requireApproval: CdkApprovalLevel;
```

- *Type:* [`projen.CdkApprovalLevel`](#projen.CdkApprovalLevel)
- *Default:* CdkApprovalLevel.BROADENING

To protect you against unintended changes that affect your security posture, the AWS CDK Toolkit prompts you to approve security-related changes before deploying them.

---

##### `nodeLicenseCheck`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.nodeLicenseCheck"></a>

```typescript
public readonly nodeLicenseCheck: boolean;
```

- *Type:* `boolean`
- *Default:* true

Includes a task to run license check for node projects.

---

##### `toggles`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions.property.toggles"></a>

```typescript
public readonly toggles: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Feature toggles used by this library.

---

### RioBitBucketSourceActionProps <a name="@rioclaid/cdk-constructs.RioBitBucketSourceActionProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioBitBucketSourceActionProps } from '@rioclaid/cdk-constructs'

const rioBitBucketSourceActionProps: RioBitBucketSourceActionProps = { ... }
```

##### `repositoryName`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioBitBucketSourceActionProps.property.repositoryName"></a>

```typescript
public readonly repositoryName: string;
```

- *Type:* `string`

---

##### `sourceArtifact`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioBitBucketSourceActionProps.property.sourceArtifact"></a>

```typescript
public readonly sourceArtifact: Artifact;
```

- *Type:* [`@aws-cdk/aws-codepipeline.Artifact`](#@aws-cdk/aws-codepipeline.Artifact)

---

##### `triggerKey`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioBitBucketSourceActionProps.property.triggerKey"></a>

```typescript
public readonly triggerKey: TriggerKey;
```

- *Type:* [`@rioclaid/cdk-constructs.TriggerKey`](#@rioclaid/cdk-constructs.TriggerKey)
- *Default:* Points to master_repo.zip.

The path to either master_repo.zip or branch_repo.zip.

---

### RioFargateServiceProps <a name="@rioclaid/cdk-constructs.RioFargateServiceProps"></a>

Fargate Task Definition Properties.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioFargateServiceProps } from '@rioclaid/cdk-constructs'

const rioFargateServiceProps: RioFargateServiceProps = { ... }
```

##### `containerDefinitionOption`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.containerDefinitionOption"></a>

```typescript
public readonly containerDefinitionOption: ContainerDefinitionOptions;
```

- *Type:* [`@rioclaid/cdk-constructs.ContainerDefinitionOptions`](#@rioclaid/cdk-constructs.ContainerDefinitionOptions)

Container definition options like image, cpu, memory.

---

##### `fargateOptions`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.fargateOptions"></a>

```typescript
public readonly fargateOptions: FargateTaskDefinitionProps;
```

- *Type:* [`@rioclaid/cdk-constructs.FargateTaskDefinitionProps`](#@rioclaid/cdk-constructs.FargateTaskDefinitionProps)

Fargate Task Definition Properties.

---

##### `serviceName`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.serviceName"></a>

```typescript
public readonly serviceName: string;
```

- *Type:* `string`

The Name of the service.

---

##### `stage`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.stage"></a>

```typescript
public readonly stage: string;
```

- *Type:* `string`

The stage of the service, e.g. 'prod'.

---

##### `version`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.version"></a>

```typescript
public readonly version: string;
```

- *Type:* `string`

The version of the service, e.g. the git hash of the corresponding commit.

---

##### `vpc`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc;
```

- *Type:* [`@aws-cdk/aws-ec2.IVpc`](#@aws-cdk/aws-ec2.IVpc)

The VPC of the service.

---

##### `datadogOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.datadogOptions"></a>

```typescript
public readonly datadogOptions: DatadogIntegrationProps;
```

- *Type:* [`@rioclaid/cdk-constructs.DatadogIntegrationProps`](#@rioclaid/cdk-constructs.DatadogIntegrationProps)

Datadog integration properties.

---

##### `frameworks`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.frameworks"></a>

```typescript
public readonly frameworks: Framework[];
```

- *Type:* [`@rioclaid/cdk-constructs.Framework`](#@rioclaid/cdk-constructs.Framework)[]
- *Default:* No frameworks.

The frameworks in uses.

---

##### `loadBalancerOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateServiceProps.property.loadBalancerOptions"></a>

```typescript
public readonly loadBalancerOptions: LoadBalancerOptions;
```

- *Type:* [`@rioclaid/cdk-constructs.LoadBalancerOptions`](#@rioclaid/cdk-constructs.LoadBalancerOptions)

Loadbalancer options.

---

### RioFargateWebAppOptions <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioFargateWebAppOptions } from '@rioclaid/cdk-constructs'

const rioFargateWebAppOptions: RioFargateWebAppOptions = { ... }
```

##### `mergify`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.mergify"></a>

```typescript
public readonly mergify: boolean;
```

- *Type:* `boolean`
- *Default:* true

Whether mergify should be enabled on this repository or not.

---

##### `name`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* $BASEDIR

This is the name of your project.

---

##### `clobber`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.clobber"></a>

```typescript
public readonly clobber: boolean;
```

- *Type:* `boolean`
- *Default:* true

Add a `clobber` task which resets the repo to origin.

---

##### `devContainer`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.devContainer"></a>

```typescript
public readonly devContainer: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a VSCode development environment (used for GitHub Codespaces).

---

##### `gitpod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.gitpod"></a>

```typescript
public readonly gitpod: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a Gitpod development environment.

---

##### `logging`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.logging"></a>

```typescript
public readonly logging: LoggerOptions;
```

- *Type:* [`projen.LoggerOptions`](#projen.LoggerOptions)
- *Default:* {}

Configure logging options such as verbosity.

---

##### `outdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.outdir"></a>

```typescript
public readonly outdir: string;
```

- *Type:* `string`
- *Default:* "."

The root directory of the project.

Relative to this directory, all files are synthesized.

If this project has a parent, this directory is relative to the parent
directory and it cannot be the same as the parent or any of it's other
sub-projects.

---

##### `parent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.parent"></a>

```typescript
public readonly parent: Project;
```

- *Type:* [`projen.Project`](#projen.Project)

The parent project, if this project is part of a bigger project.

---

##### `projectType`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projectType"></a>

```typescript
public readonly projectType: ProjectType;
```

- *Type:* [`projen.ProjectType`](#projen.ProjectType)
- *Default:* ProjectType.UNKNOWN

Which type of project this is (library/app).

---

##### `readme`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.readme"></a>

```typescript
public readonly readme: SampleReadmeProps;
```

- *Type:* [`projen.SampleReadmeProps`](#projen.SampleReadmeProps)
- *Default:* { filename: 'README.md', contents: '# replace this' }

The README setup.

---

##### `allowLibraryDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.allowLibraryDependencies"></a>

```typescript
public readonly allowLibraryDependencies: boolean;
```

- *Type:* `boolean`
- *Default:* true

Allow the project to include `peerDependencies` and `bundledDependencies`.

This is normally only allowed for libraries. For apps, there's no meaning
for specifying these.

---

##### `authorEmail`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.authorEmail"></a>

```typescript
public readonly authorEmail: string;
```

- *Type:* `string`

Author's e-mail.

---

##### `authorName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.authorName"></a>

```typescript
public readonly authorName: string;
```

- *Type:* `string`

Author's name.

---

##### `authorOrganization`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.authorOrganization"></a>

```typescript
public readonly authorOrganization: boolean;
```

- *Type:* `boolean`

Author's Organization.

---

##### `authorUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.authorUrl"></a>

```typescript
public readonly authorUrl: string;
```

- *Type:* `string`

Author's URL / Website.

---

##### `autoDetectBin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.autoDetectBin"></a>

```typescript
public readonly autoDetectBin: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically add all executables under the `bin` directory to your `package.json` file under the `bin` section.

---

##### `bin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.bin"></a>

```typescript
public readonly bin: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Binary programs vended with your module.

You can use this option to add/customize how binaries are represented in
your `package.json`, but unless `autoDetectBin` is `false`, every
executable file under `bin` will automatically be added to this section.

---

##### `bundledDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.bundledDeps"></a>

```typescript
public readonly bundledDeps: string[];
```

- *Type:* `string`[]

List of dependencies to bundle into this module.

These modules will be
added both to the `dependencies` section and `peerDependencies` section of
your `package.json`.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `deps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.deps"></a>

```typescript
public readonly deps: string[];
```

- *Type:* `string`[]
- *Default:* []

Runtime dependencies of this module.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `description`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

The description is just a string that helps people understand the purpose of the package.

It can be used when searching for packages in a package manager as well.
See https://classic.yarnpkg.com/en/docs/package-json/#toc-description

---

##### `devDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.devDeps"></a>

```typescript
public readonly devDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Build dependencies for this module.

These dependencies will only be
available in your build environment but will not be fetched when this
module is consumed.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `entrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.entrypoint"></a>

```typescript
public readonly entrypoint: string;
```

- *Type:* `string`
- *Default:* "lib/index.js"

Module entrypoint (`main` in `package.json`).

Set to an empty string to not include `main` in your package.json

---

##### `homepage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.homepage"></a>

```typescript
public readonly homepage: string;
```

- *Type:* `string`

Package's Homepage / Website.

---

##### `keywords`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.keywords"></a>

```typescript
public readonly keywords: string[];
```

- *Type:* `string`[]

Keywords to include in `package.json`.

---

##### `license`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.license"></a>

```typescript
public readonly license: string;
```

- *Type:* `string`
- *Default:* "Apache-2.0"

License's SPDX identifier.

See https://github.com/projen/projen/tree/master/license-text for a list of supported licenses.
Use the `licensed` option if you want to no license to be specified.

---

##### `licensed`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.licensed"></a>

```typescript
public readonly licensed: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates if a license should be added.

---

##### `maxNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.maxNodeVersion"></a>

```typescript
public readonly maxNodeVersion: string;
```

- *Type:* `string`
- *Default:* no max

Minimum node.js version to require via `engines` (inclusive).

---

##### `minNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.minNodeVersion"></a>

```typescript
public readonly minNodeVersion: string;
```

- *Type:* `string`
- *Default:* no "engines" specified

Minimum Node.js version to require via package.json `engines` (inclusive).

---

##### `npmAccess`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmAccess"></a>

```typescript
public readonly npmAccess: NpmAccess;
```

- *Type:* [`projen.NpmAccess`](#projen.NpmAccess)
- *Default:* for scoped packages (e.g. `foo@bar`), the default is
`NpmAccess.RESTRICTED`, for non-scoped packages, the default is
`NpmAccess.PUBLIC`.

Access level of the npm package.

---

##### `npmDistTag`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmDistTag"></a>

```typescript
public readonly npmDistTag: string;
```

- *Type:* `string`
- *Default:* "latest"

Tags can be used to provide an alias instead of version numbers.

For example, a project might choose to have multiple streams of development
and use a different tag for each stream, e.g., stable, beta, dev, canary.

By default, the `latest` tag is used by npm to identify the current version
of a package, and `npm install <pkg>` (without any `@<version>` or `@<tag>`
specifier) installs the latest tag. Typically, projects only use the
`latest` tag for stable release versions, and use other tags for unstable
versions such as prereleases.

The `next` tag is used by some projects to identify the upcoming version.

---

##### ~~`npmRegistry`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmRegistry"></a>

- *Deprecated:* use `npmRegistryUrl` instead

```typescript
public readonly npmRegistry: string;
```

- *Type:* `string`

The host name of the npm registry to publish to.

Cannot be set together with `npmRegistryUrl`.

---

##### `npmRegistryUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmRegistryUrl"></a>

```typescript
public readonly npmRegistryUrl: string;
```

- *Type:* `string`
- *Default:* "https://registry.npmjs.org"

The base URL of the npm package registry.

Must be a URL (e.g. start with "https://" or "http://")

---

##### `npmTaskExecution`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmTaskExecution"></a>

```typescript
public readonly npmTaskExecution: NpmTaskExecution;
```

- *Type:* [`projen.NpmTaskExecution`](#projen.NpmTaskExecution)
- *Default:* NpmTaskExecution.PROJEN

Determines how tasks are executed when invoked as npm scripts (yarn/npm run xyz).

---

##### `npmTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmTokenSecret"></a>

```typescript
public readonly npmTokenSecret: string;
```

- *Type:* `string`
- *Default:* "NPM_TOKEN"

GitHub secret which contains the NPM token to use when publishing packages.

---

##### `packageManager`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.packageManager"></a>

```typescript
public readonly packageManager: NodePackageManager;
```

- *Type:* [`projen.NodePackageManager`](#projen.NodePackageManager)
- *Default:* NodePackageManager.YARN

The Node Package Manager used to execute scripts.

---

##### `packageName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.packageName"></a>

```typescript
public readonly packageName: string;
```

- *Type:* `string`
- *Default:* defaults to project name

The "name" in package.json.

---

##### `peerDependencyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.peerDependencyOptions"></a>

```typescript
public readonly peerDependencyOptions: PeerDependencyOptions;
```

- *Type:* [`projen.PeerDependencyOptions`](#projen.PeerDependencyOptions)

Options for `peerDeps`.

---

##### `peerDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.peerDeps"></a>

```typescript
public readonly peerDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Peer dependencies for this module.

Dependencies listed here are required to
be installed (and satisfied) by the _consumer_ of this library. Using peer
dependencies allows you to ensure that only a single module of a certain
library exists in the `node_modules` tree of your consumers.

Note that prior to npm@7, peer dependencies are _not_ automatically
installed, which means that adding peer dependencies to a library will be a
breaking change for your customers.

Unless `peerDependencyOptions.pinnedDevDependency` is disabled (it is
enabled by default), projen will automatically add a dev dependency with a
pinned version for each peer dependency. This will ensure that you build &
test your module against the lowest peer version required.

---

##### `projenCommand`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenCommand"></a>

```typescript
public readonly projenCommand: string;
```

- *Type:* `string`
- *Default:* "npx projen"

The shell command to use in order to run the projen CLI.

Can be used to customize in special environments.

---

##### `repository`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.repository"></a>

```typescript
public readonly repository: string;
```

- *Type:* `string`

The repository is the location where the actual code for your package lives.

See https://classic.yarnpkg.com/en/docs/package-json/#toc-repository

---

##### `repositoryDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.repositoryDirectory"></a>

```typescript
public readonly repositoryDirectory: string;
```

- *Type:* `string`

If the package.json for your package is not in the root directory (for example if it is part of a monorepo), you can specify the directory in which it lives.

---

##### `scripts`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.scripts"></a>

```typescript
public readonly scripts: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}
- *Default:* {}

npm scripts to include.

If a script has the same name as a standard script,
the standard script will be overwritten.

---

##### `stability`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.stability"></a>

```typescript
public readonly stability: string;
```

- *Type:* `string`

Package's Stability.

---

##### `defaultReleaseBranch`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.defaultReleaseBranch"></a>

```typescript
public readonly defaultReleaseBranch: string;
```

- *Type:* `string`
- *Default:* "main"

The name of the main release branch.

NOTE: this field is temporarily required as we migrate the default value
from "master" to "main". Shortly, it will be made optional with "main" as
the default.

---

##### `antitamper`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.antitamper"></a>

```typescript
public readonly antitamper: boolean;
```

- *Type:* `boolean`
- *Default:* true

Checks that after build there are no modified files on git.

---

##### `artifactsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.artifactsDirectory"></a>

```typescript
public readonly artifactsDirectory: string;
```

- *Type:* `string`
- *Default:* "dist"

A directory which will contain artifacts to be published to npm.

---

##### `buildWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.buildWorkflow"></a>

```typescript
public readonly buildWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for building PRs.

---

##### `codeCov`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.codeCov"></a>

```typescript
public readonly codeCov: boolean;
```

- *Type:* `boolean`
- *Default:* false

Define a GitHub workflow step for sending code coverage metrics to https://codecov.io/ Uses codecov/codecov-action@v1 A secret is required for private repos. Configured with @codeCovTokenSecret.

---

##### `codeCovTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.codeCovTokenSecret"></a>

```typescript
public readonly codeCovTokenSecret: string;
```

- *Type:* `string`
- *Default:* if this option is not specified, only public repositories are supported

Define the secret name for a specified https://codecov.io/ token A secret is required to send coverage for private repositories.

---

##### `copyrightOwner`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.copyrightOwner"></a>

```typescript
public readonly copyrightOwner: string;
```

- *Type:* `string`
- *Default:* defaults to the value of authorName or "" if `authorName` is undefined.

License copyright owner.

---

##### `copyrightPeriod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.copyrightPeriod"></a>

```typescript
public readonly copyrightPeriod: string;
```

- *Type:* `string`
- *Default:* current year

The copyright years to put in the LICENSE file.

---

##### ~~`dependabot`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.dependabot"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabot: boolean;
```

- *Type:* `boolean`
- *Default:* false

Include dependabot configuration.

---

##### ~~`dependabotOptions`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.dependabotOptions"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabotOptions: DependabotOptions;
```

- *Type:* [`projen.github.DependabotOptions`](#projen.github.DependabotOptions)
- *Default:* default options

Options for dependabot.

---

##### `depsUpgrade`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.depsUpgrade"></a>

```typescript
public readonly depsUpgrade: DependenciesUpgradeMechanism;
```

- *Type:* [`projen.DependenciesUpgradeMechanism`](#projen.DependenciesUpgradeMechanism)
- *Default:* DependenciesUpgrade.GITHUB_ACTIONS

How to handle dependency upgrades.

---

##### `gitignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.gitignore"></a>

```typescript
public readonly gitignore: string[];
```

- *Type:* `string`[]

Additional entries to .gitignore.

---

##### `initialVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.initialVersion"></a>

```typescript
public readonly initialVersion: string;
```

- *Type:* `string`
- *Default:* "v0.1.0"

The initial version of the repo.

The first release will bump over this
version, so it will be v0.1.1 or v0.2.0 (depending on whether the first
bump is minor or patch).

---

##### `jest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.jest"></a>

```typescript
public readonly jest: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup jest unit tests.

---

##### `jestOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.jestOptions"></a>

```typescript
public readonly jestOptions: JestOptions;
```

- *Type:* [`projen.JestOptions`](#projen.JestOptions)
- *Default:* default options

Jest options.

---

##### `jsiiReleaseVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.jsiiReleaseVersion"></a>

```typescript
public readonly jsiiReleaseVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

Version requirement of `jsii-release` which is used to publish modules to npm.

---

##### `mergifyAutoMergeLabel`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.mergifyAutoMergeLabel"></a>

```typescript
public readonly mergifyAutoMergeLabel: string;
```

- *Type:* `string`
- *Default:* "auto-merge"

Automatically merge PRs that build successfully and have this label.

To disable, set this value to an empty string.

---

##### `mergifyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.mergifyOptions"></a>

```typescript
public readonly mergifyOptions: MergifyOptions;
```

- *Type:* [`projen.github.MergifyOptions`](#projen.github.MergifyOptions)
- *Default:* default options

Options for mergify.

---

##### `mutableBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.mutableBuild"></a>

```typescript
public readonly mutableBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically update files modified during builds to pull-request branches.

This means
that any files synthesized by projen or e.g. test snapshots will always be up-to-date
before a PR is merged.

Implies that PR builds do not have anti-tamper checks.

---

##### `npmignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmignore"></a>

```typescript
public readonly npmignore: string[];
```

- *Type:* `string`[]

Additional entries to .npmignore.

---

##### `npmignoreEnabled`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.npmignoreEnabled"></a>

```typescript
public readonly npmignoreEnabled: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines an .npmignore file. Normally this is only needed for libraries that are packaged as tarballs.

---

##### `projenDevDependency`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenDevDependency"></a>

```typescript
public readonly projenDevDependency: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates of "projen" should be installed as a devDependency.

---

##### `projenDuringBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenDuringBuild"></a>

```typescript
public readonly projenDuringBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Execute `projen` as the first step of the `build` task to synthesize project files.

This applies both to local builds and to CI builds.

Disabling this feature is NOT RECOMMENDED and means that manual changes to
synthesized project files will be persisted.

---

##### `projenrcJs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenrcJs"></a>

```typescript
public readonly projenrcJs: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate (once) .projenrc.js (in JavaScript). Set to `false` in order to disable .projenrc.js generation.

---

##### `projenrcJsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenrcJsOptions"></a>

```typescript
public readonly projenrcJsOptions: ProjenrcOptions;
```

- *Type:* [`projen.javascript.ProjenrcOptions`](#projen.javascript.ProjenrcOptions)
- *Default:* default options

Options for .projenrc.js.

---

##### `projenUpgradeAutoMerge`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenUpgradeAutoMerge"></a>

```typescript
public readonly projenUpgradeAutoMerge: boolean;
```

- *Type:* `boolean`
- *Default:* "true" if mergify auto-merge is enabled (default)

Automatically merge projen upgrade PRs when build passes.

Applies the `mergifyAutoMergeLabel` to the PR if enabled.

---

##### `projenUpgradeSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenUpgradeSchedule"></a>

```typescript
public readonly projenUpgradeSchedule: string[];
```

- *Type:* `string`[]
- *Default:* [ "0 6 * * *" ]

Customize the projenUpgrade schedule in cron expression.

---

##### `projenUpgradeSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenUpgradeSecret"></a>

```typescript
public readonly projenUpgradeSecret: string;
```

- *Type:* `string`
- *Default:* no automatic projen upgrade pull requests

Periodically submits a pull request for projen upgrades (executes `yarn projen:upgrade`).

This setting is a GitHub secret name which contains a GitHub Access Token
with `repo` and `workflow` permissions.

This token is used to submit the upgrade pull request, which will likely
include workflow updates.

To create a personal access token see https://github.com/settings/tokens

---

##### `projenVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenVersion"></a>

```typescript
public readonly projenVersion: string;
```

- *Type:* `string`
- *Default:* Defaults to the latest version.

Version of projen to install.

---

##### `pullRequestTemplate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.pullRequestTemplate"></a>

```typescript
public readonly pullRequestTemplate: boolean;
```

- *Type:* `boolean`
- *Default:* true

Include a GitHub pull request template.

---

##### `pullRequestTemplateContents`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.pullRequestTemplateContents"></a>

```typescript
public readonly pullRequestTemplateContents: string;
```

- *Type:* `string`
- *Default:* default content

The contents of the pull request template.

---

##### `releaseBranches`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseBranches"></a>

```typescript
public readonly releaseBranches: string[];
```

- *Type:* `string`[]
- *Default:* [ "main" ]

Branches which trigger a release.

Default value is based on defaultReleaseBranch.

---

##### `releaseEveryCommit`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseEveryCommit"></a>

```typescript
public readonly releaseEveryCommit: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically release new versions every commit to one of branches in `releaseBranches`.

---

##### `releaseSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseSchedule"></a>

```typescript
public readonly releaseSchedule: string;
```

- *Type:* `string`
- *Default:* no scheduled releases

CRON schedule to trigger new releases.

---

##### `releaseToNpm`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseToNpm"></a>

```typescript
public readonly releaseToNpm: boolean;
```

- *Type:* `boolean`
- *Default:* false

Automatically release to npm when new versions are introduced.

---

##### `releaseWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseWorkflow"></a>

```typescript
public readonly releaseWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for releasing from "main" when new versions are bumped.

Requires that `version` will be undefined.

---

##### `releaseWorkflowSetupSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.releaseWorkflowSetupSteps"></a>

```typescript
public readonly releaseWorkflowSetupSteps: any[];
```

- *Type:* `any`[]

A set of workflow steps to execute in order to setup the workflow container.

---

##### `workflowBootstrapSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.workflowBootstrapSteps"></a>

```typescript
public readonly workflowBootstrapSteps: any[];
```

- *Type:* `any`[]
- *Default:* "yarn install --frozen-lockfile && yarn projen"

Workflow steps to use in order to bootstrap this repo.

---

##### `workflowContainerImage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.workflowContainerImage"></a>

```typescript
public readonly workflowContainerImage: string;
```

- *Type:* `string`
- *Default:* default image

Container image to use for GitHub workflows.

---

##### `workflowNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.workflowNodeVersion"></a>

```typescript
public readonly workflowNodeVersion: string;
```

- *Type:* `string`
- *Default:* same as `minNodeVersion`

The node version to use in GitHub workflows.

---

##### `compileBeforeTest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.compileBeforeTest"></a>

```typescript
public readonly compileBeforeTest: boolean;
```

- *Type:* `boolean`
- *Default:* if `testdir` is under `src/**`, the default is `true`, otherwise the default is `false.

Compile the code before running tests.

---

##### `disableTsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.disableTsconfig"></a>

```typescript
public readonly disableTsconfig: boolean;
```

- *Type:* `boolean`
- *Default:* false

Do not generate a `tsconfig.json` file (used by jsii projects since tsconfig.json is generated by the jsii compiler).

---

##### `docgen`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.docgen"></a>

```typescript
public readonly docgen: boolean;
```

- *Type:* `boolean`
- *Default:* false

Docgen by Typedoc.

---

##### `docsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.docsDirectory"></a>

```typescript
public readonly docsDirectory: string;
```

- *Type:* `string`
- *Default:* "docs"

Docs directory.

---

##### `entrypointTypes`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.entrypointTypes"></a>

```typescript
public readonly entrypointTypes: string;
```

- *Type:* `string`
- *Default:* .d.ts file derived from the project's entrypoint (usually lib/index.d.ts)

The .d.ts file that includes the type declarations for this module.

---

##### `eslint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.eslint"></a>

```typescript
public readonly eslint: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup eslint.

---

##### `eslintOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.eslintOptions"></a>

```typescript
public readonly eslintOptions: EslintOptions;
```

- *Type:* [`projen.EslintOptions`](#projen.EslintOptions)
- *Default:* opinionated default options

Eslint options.

---

##### `libdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.libdir"></a>

```typescript
public readonly libdir: string;
```

- *Type:* `string`
- *Default:* "lib"

Typescript  artifacts output directory.

---

##### `package`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.package"></a>

```typescript
public readonly package: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines a `yarn package` command that will produce a tarball and place it under `dist/js`.

---

##### `projenrcTs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenrcTs"></a>

```typescript
public readonly projenrcTs: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use TypeScript for your projenrc file (`.projenrc.ts`).

---

##### `projenrcTsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.projenrcTsOptions"></a>

```typescript
public readonly projenrcTsOptions: ProjenrcOptions;
```

- *Type:* [`projen.typescript.ProjenrcOptions`](#projen.typescript.ProjenrcOptions)

Options for .projenrc.ts.

---

##### `sampleCode`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.sampleCode"></a>

```typescript
public readonly sampleCode: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate one-time sample in `src/` and `test/` if there are no files there.

---

##### `srcdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.srcdir"></a>

```typescript
public readonly srcdir: string;
```

- *Type:* `string`
- *Default:* "src"

Typescript sources directory.

---

##### `testdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.testdir"></a>

```typescript
public readonly testdir: string;
```

- *Type:* `string`
- *Default:* "test"

Jest tests directory. Tests files should be named `xxx.test.ts`.

If this directory is under `srcdir` (e.g. `src/test`, `src/__tests__`),
then tests are going to be compiled into `lib/` and executed as javascript.
If the test directory is outside of `src`, then we configure jest to
compile the code in-memory.

---

##### `tsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.tsconfig"></a>

```typescript
public readonly tsconfig: TypescriptConfigOptions;
```

- *Type:* [`projen.TypescriptConfigOptions`](#projen.TypescriptConfigOptions)

Custom TSConfig.

---

##### `typescriptVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.typescriptVersion"></a>

```typescript
public readonly typescriptVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

TypeScript version to use.

NOTE: Typescript is not semantically versioned and should remain on the
same minor, so we recommend using a `~` dependency (e.g. `~1.2.3`).

---

##### `cdkVersion`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.cdkVersion"></a>

```typescript
public readonly cdkVersion: string;
```

- *Type:* `string`
- *Default:* "1.95.2"

AWS CDK version to use.

---

##### `appEntrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.appEntrypoint"></a>

```typescript
public readonly appEntrypoint: string;
```

- *Type:* `string`
- *Default:* "main.ts"

The CDK app's entrypoint (relative to the source directory, which is "src" by default).

---

##### `cdkDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.cdkDependencies"></a>

```typescript
public readonly cdkDependencies: string[];
```

- *Type:* `string`[]

Which AWS CDK modules (those that start with "@aws-cdk/") this app uses.

---

##### `cdkVersionPinning`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.cdkVersionPinning"></a>

```typescript
public readonly cdkVersionPinning: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use pinned version instead of caret version for CDK.

You can use this to prevent yarn to mix versions for your CDK dependencies and to prevent auto-updates.
If you use experimental features this will let you define the moment you include breaking changes.

---

##### `context`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.context"></a>

```typescript
public readonly context: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Additional context to include in `cdk.json`.

---

##### `requireApproval`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.requireApproval"></a>

```typescript
public readonly requireApproval: CdkApprovalLevel;
```

- *Type:* [`projen.CdkApprovalLevel`](#projen.CdkApprovalLevel)
- *Default:* CdkApprovalLevel.BROADENING

To protect you against unintended changes that affect your security posture, the AWS CDK Toolkit prompts you to approve security-related changes before deploying them.

---

##### `nodeLicenseCheck`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.nodeLicenseCheck"></a>

```typescript
public readonly nodeLicenseCheck: boolean;
```

- *Type:* `boolean`
- *Default:* true

Includes a task to run license check for node projects.

---

##### `toggles`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.toggles"></a>

```typescript
public readonly toggles: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Feature toggles used by this library.

---

##### `cdkPipeline`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.cdkPipeline"></a>

```typescript
public readonly cdkPipeline: boolean;
```

- *Type:* `boolean`
- *Default:* true

Adds support for CdkPipeline.

---

##### `preCommitHook`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.preCommitHook"></a>

```typescript
public readonly preCommitHook: boolean;
```

- *Type:* `boolean`
- *Default:* false

If pre-commit package should be installed.

---

##### `renovate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.renovate"></a>

```typescript
public readonly renovate: boolean;
```

- *Type:* `boolean`
- *Default:* true

If renovate should be enabled/disabled.

---

##### `renovateOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebAppOptions.property.renovateOptions"></a>

```typescript
public readonly renovateOptions: RenovateOptions;
```

- *Type:* [`@rioclaid/cdk-constructs.RenovateOptions`](#@rioclaid/cdk-constructs.RenovateOptions)

Includes renovate configuration.

---

### RioLoadBalancerProps <a name="@rioclaid/cdk-constructs.RioLoadBalancerProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioLoadBalancerProps } from '@rioclaid/cdk-constructs'

const rioLoadBalancerProps: RioLoadBalancerProps = { ... }
```

##### `hostedZone`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancerProps.property.hostedZone"></a>

```typescript
public readonly hostedZone: IHostedZone;
```

- *Type:* [`@aws-cdk/aws-route53.IHostedZone`](#@aws-cdk/aws-route53.IHostedZone)

The hosted zone in which to the Route53 record should be created.

---

##### `serviceName`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancerProps.property.serviceName"></a>

```typescript
public readonly serviceName: string;
```

- *Type:* `string`

The service name which is used to build the domain name (serviceName.hostedZone).

---

##### `vpc`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLoadBalancerProps.property.vpc"></a>

```typescript
public readonly vpc: IVpc;
```

- *Type:* [`@aws-cdk/aws-ec2.IVpc`](#@aws-cdk/aws-ec2.IVpc)

The VPC network to place the load balancer in.

---

### RioSecretsDeployActionProps <a name="@rioclaid/cdk-constructs.RioSecretsDeployActionProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioSecretsDeployActionProps } from '@rioclaid/cdk-constructs'

const rioSecretsDeployActionProps: RioSecretsDeployActionProps = { ... }
```

##### `sourceArtifact`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployActionProps.property.sourceArtifact"></a>

```typescript
public readonly sourceArtifact: Artifact;
```

- *Type:* [`@aws-cdk/aws-codepipeline.Artifact`](#@aws-cdk/aws-codepipeline.Artifact)

Source artifact of the pipeline.

---

### RioSecretsDeployStepProps <a name="@rioclaid/cdk-constructs.RioSecretsDeployStepProps"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioSecretsDeployStepProps } from '@rioclaid/cdk-constructs'

const rioSecretsDeployStepProps: RioSecretsDeployStepProps = { ... }
```

##### `input`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployStepProps.property.input"></a>

```typescript
public readonly input: CodePipelineSource;
```

- *Type:* [`@aws-cdk/pipelines.CodePipelineSource`](#@aws-cdk/pipelines.CodePipelineSource)

Points to CodePipeline source step.

---

### RioServerlessAppOptions <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions"></a>

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { RioServerlessAppOptions } from '@rioclaid/cdk-constructs'

const rioServerlessAppOptions: RioServerlessAppOptions = { ... }
```

##### `mergify`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.mergify"></a>

```typescript
public readonly mergify: boolean;
```

- *Type:* `boolean`
- *Default:* true

Whether mergify should be enabled on this repository or not.

---

##### `name`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.name"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`
- *Default:* $BASEDIR

This is the name of your project.

---

##### `clobber`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.clobber"></a>

```typescript
public readonly clobber: boolean;
```

- *Type:* `boolean`
- *Default:* true

Add a `clobber` task which resets the repo to origin.

---

##### `devContainer`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.devContainer"></a>

```typescript
public readonly devContainer: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a VSCode development environment (used for GitHub Codespaces).

---

##### `gitpod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.gitpod"></a>

```typescript
public readonly gitpod: boolean;
```

- *Type:* `boolean`
- *Default:* false

Add a Gitpod development environment.

---

##### `logging`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.logging"></a>

```typescript
public readonly logging: LoggerOptions;
```

- *Type:* [`projen.LoggerOptions`](#projen.LoggerOptions)
- *Default:* {}

Configure logging options such as verbosity.

---

##### `outdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.outdir"></a>

```typescript
public readonly outdir: string;
```

- *Type:* `string`
- *Default:* "."

The root directory of the project.

Relative to this directory, all files are synthesized.

If this project has a parent, this directory is relative to the parent
directory and it cannot be the same as the parent or any of it's other
sub-projects.

---

##### `parent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.parent"></a>

```typescript
public readonly parent: Project;
```

- *Type:* [`projen.Project`](#projen.Project)

The parent project, if this project is part of a bigger project.

---

##### `projectType`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projectType"></a>

```typescript
public readonly projectType: ProjectType;
```

- *Type:* [`projen.ProjectType`](#projen.ProjectType)
- *Default:* ProjectType.UNKNOWN

Which type of project this is (library/app).

---

##### `readme`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.readme"></a>

```typescript
public readonly readme: SampleReadmeProps;
```

- *Type:* [`projen.SampleReadmeProps`](#projen.SampleReadmeProps)
- *Default:* { filename: 'README.md', contents: '# replace this' }

The README setup.

---

##### `allowLibraryDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.allowLibraryDependencies"></a>

```typescript
public readonly allowLibraryDependencies: boolean;
```

- *Type:* `boolean`
- *Default:* true

Allow the project to include `peerDependencies` and `bundledDependencies`.

This is normally only allowed for libraries. For apps, there's no meaning
for specifying these.

---

##### `authorEmail`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.authorEmail"></a>

```typescript
public readonly authorEmail: string;
```

- *Type:* `string`

Author's e-mail.

---

##### `authorName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.authorName"></a>

```typescript
public readonly authorName: string;
```

- *Type:* `string`

Author's name.

---

##### `authorOrganization`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.authorOrganization"></a>

```typescript
public readonly authorOrganization: boolean;
```

- *Type:* `boolean`

Author's Organization.

---

##### `authorUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.authorUrl"></a>

```typescript
public readonly authorUrl: string;
```

- *Type:* `string`

Author's URL / Website.

---

##### `autoDetectBin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.autoDetectBin"></a>

```typescript
public readonly autoDetectBin: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically add all executables under the `bin` directory to your `package.json` file under the `bin` section.

---

##### `bin`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.bin"></a>

```typescript
public readonly bin: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Binary programs vended with your module.

You can use this option to add/customize how binaries are represented in
your `package.json`, but unless `autoDetectBin` is `false`, every
executable file under `bin` will automatically be added to this section.

---

##### `bundledDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.bundledDeps"></a>

```typescript
public readonly bundledDeps: string[];
```

- *Type:* `string`[]

List of dependencies to bundle into this module.

These modules will be
added both to the `dependencies` section and `peerDependencies` section of
your `package.json`.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `deps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.deps"></a>

```typescript
public readonly deps: string[];
```

- *Type:* `string`[]
- *Default:* []

Runtime dependencies of this module.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `description`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.description"></a>

```typescript
public readonly description: string;
```

- *Type:* `string`

The description is just a string that helps people understand the purpose of the package.

It can be used when searching for packages in a package manager as well.
See https://classic.yarnpkg.com/en/docs/package-json/#toc-description

---

##### `devDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.devDeps"></a>

```typescript
public readonly devDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Build dependencies for this module.

These dependencies will only be
available in your build environment but will not be fetched when this
module is consumed.

The recommendation is to only specify the module name here (e.g.
`express`). This will behave similar to `yarn add` or `npm install` in the
sense that it will add the module as a dependency to your `package.json`
file with the latest version (`^`). You can specify semver requirements in
the same syntax passed to `npm i` or `yarn add` (e.g. `express@^2`) and
this will be what you `package.json` will eventually include.

---

##### `entrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.entrypoint"></a>

```typescript
public readonly entrypoint: string;
```

- *Type:* `string`
- *Default:* "lib/index.js"

Module entrypoint (`main` in `package.json`).

Set to an empty string to not include `main` in your package.json

---

##### `homepage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.homepage"></a>

```typescript
public readonly homepage: string;
```

- *Type:* `string`

Package's Homepage / Website.

---

##### `keywords`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.keywords"></a>

```typescript
public readonly keywords: string[];
```

- *Type:* `string`[]

Keywords to include in `package.json`.

---

##### `license`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.license"></a>

```typescript
public readonly license: string;
```

- *Type:* `string`
- *Default:* "Apache-2.0"

License's SPDX identifier.

See https://github.com/projen/projen/tree/master/license-text for a list of supported licenses.
Use the `licensed` option if you want to no license to be specified.

---

##### `licensed`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.licensed"></a>

```typescript
public readonly licensed: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates if a license should be added.

---

##### `maxNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.maxNodeVersion"></a>

```typescript
public readonly maxNodeVersion: string;
```

- *Type:* `string`
- *Default:* no max

Minimum node.js version to require via `engines` (inclusive).

---

##### `minNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.minNodeVersion"></a>

```typescript
public readonly minNodeVersion: string;
```

- *Type:* `string`
- *Default:* no "engines" specified

Minimum Node.js version to require via package.json `engines` (inclusive).

---

##### `npmAccess`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmAccess"></a>

```typescript
public readonly npmAccess: NpmAccess;
```

- *Type:* [`projen.NpmAccess`](#projen.NpmAccess)
- *Default:* for scoped packages (e.g. `foo@bar`), the default is
`NpmAccess.RESTRICTED`, for non-scoped packages, the default is
`NpmAccess.PUBLIC`.

Access level of the npm package.

---

##### `npmDistTag`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmDistTag"></a>

```typescript
public readonly npmDistTag: string;
```

- *Type:* `string`
- *Default:* "latest"

Tags can be used to provide an alias instead of version numbers.

For example, a project might choose to have multiple streams of development
and use a different tag for each stream, e.g., stable, beta, dev, canary.

By default, the `latest` tag is used by npm to identify the current version
of a package, and `npm install <pkg>` (without any `@<version>` or `@<tag>`
specifier) installs the latest tag. Typically, projects only use the
`latest` tag for stable release versions, and use other tags for unstable
versions such as prereleases.

The `next` tag is used by some projects to identify the upcoming version.

---

##### ~~`npmRegistry`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmRegistry"></a>

- *Deprecated:* use `npmRegistryUrl` instead

```typescript
public readonly npmRegistry: string;
```

- *Type:* `string`

The host name of the npm registry to publish to.

Cannot be set together with `npmRegistryUrl`.

---

##### `npmRegistryUrl`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmRegistryUrl"></a>

```typescript
public readonly npmRegistryUrl: string;
```

- *Type:* `string`
- *Default:* "https://registry.npmjs.org"

The base URL of the npm package registry.

Must be a URL (e.g. start with "https://" or "http://")

---

##### `npmTaskExecution`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmTaskExecution"></a>

```typescript
public readonly npmTaskExecution: NpmTaskExecution;
```

- *Type:* [`projen.NpmTaskExecution`](#projen.NpmTaskExecution)
- *Default:* NpmTaskExecution.PROJEN

Determines how tasks are executed when invoked as npm scripts (yarn/npm run xyz).

---

##### `npmTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmTokenSecret"></a>

```typescript
public readonly npmTokenSecret: string;
```

- *Type:* `string`
- *Default:* "NPM_TOKEN"

GitHub secret which contains the NPM token to use when publishing packages.

---

##### `packageManager`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.packageManager"></a>

```typescript
public readonly packageManager: NodePackageManager;
```

- *Type:* [`projen.NodePackageManager`](#projen.NodePackageManager)
- *Default:* NodePackageManager.YARN

The Node Package Manager used to execute scripts.

---

##### `packageName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.packageName"></a>

```typescript
public readonly packageName: string;
```

- *Type:* `string`
- *Default:* defaults to project name

The "name" in package.json.

---

##### `peerDependencyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.peerDependencyOptions"></a>

```typescript
public readonly peerDependencyOptions: PeerDependencyOptions;
```

- *Type:* [`projen.PeerDependencyOptions`](#projen.PeerDependencyOptions)

Options for `peerDeps`.

---

##### `peerDeps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.peerDeps"></a>

```typescript
public readonly peerDeps: string[];
```

- *Type:* `string`[]
- *Default:* []

Peer dependencies for this module.

Dependencies listed here are required to
be installed (and satisfied) by the _consumer_ of this library. Using peer
dependencies allows you to ensure that only a single module of a certain
library exists in the `node_modules` tree of your consumers.

Note that prior to npm@7, peer dependencies are _not_ automatically
installed, which means that adding peer dependencies to a library will be a
breaking change for your customers.

Unless `peerDependencyOptions.pinnedDevDependency` is disabled (it is
enabled by default), projen will automatically add a dev dependency with a
pinned version for each peer dependency. This will ensure that you build &
test your module against the lowest peer version required.

---

##### `projenCommand`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenCommand"></a>

```typescript
public readonly projenCommand: string;
```

- *Type:* `string`
- *Default:* "npx projen"

The shell command to use in order to run the projen CLI.

Can be used to customize in special environments.

---

##### `repository`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.repository"></a>

```typescript
public readonly repository: string;
```

- *Type:* `string`

The repository is the location where the actual code for your package lives.

See https://classic.yarnpkg.com/en/docs/package-json/#toc-repository

---

##### `repositoryDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.repositoryDirectory"></a>

```typescript
public readonly repositoryDirectory: string;
```

- *Type:* `string`

If the package.json for your package is not in the root directory (for example if it is part of a monorepo), you can specify the directory in which it lives.

---

##### `scripts`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.scripts"></a>

```typescript
public readonly scripts: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}
- *Default:* {}

npm scripts to include.

If a script has the same name as a standard script,
the standard script will be overwritten.

---

##### `stability`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.stability"></a>

```typescript
public readonly stability: string;
```

- *Type:* `string`

Package's Stability.

---

##### `defaultReleaseBranch`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.defaultReleaseBranch"></a>

```typescript
public readonly defaultReleaseBranch: string;
```

- *Type:* `string`
- *Default:* "main"

The name of the main release branch.

NOTE: this field is temporarily required as we migrate the default value
from "master" to "main". Shortly, it will be made optional with "main" as
the default.

---

##### `antitamper`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.antitamper"></a>

```typescript
public readonly antitamper: boolean;
```

- *Type:* `boolean`
- *Default:* true

Checks that after build there are no modified files on git.

---

##### `artifactsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.artifactsDirectory"></a>

```typescript
public readonly artifactsDirectory: string;
```

- *Type:* `string`
- *Default:* "dist"

A directory which will contain artifacts to be published to npm.

---

##### `buildWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.buildWorkflow"></a>

```typescript
public readonly buildWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for building PRs.

---

##### `codeCov`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.codeCov"></a>

```typescript
public readonly codeCov: boolean;
```

- *Type:* `boolean`
- *Default:* false

Define a GitHub workflow step for sending code coverage metrics to https://codecov.io/ Uses codecov/codecov-action@v1 A secret is required for private repos. Configured with @codeCovTokenSecret.

---

##### `codeCovTokenSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.codeCovTokenSecret"></a>

```typescript
public readonly codeCovTokenSecret: string;
```

- *Type:* `string`
- *Default:* if this option is not specified, only public repositories are supported

Define the secret name for a specified https://codecov.io/ token A secret is required to send coverage for private repositories.

---

##### `copyrightOwner`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.copyrightOwner"></a>

```typescript
public readonly copyrightOwner: string;
```

- *Type:* `string`
- *Default:* defaults to the value of authorName or "" if `authorName` is undefined.

License copyright owner.

---

##### `copyrightPeriod`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.copyrightPeriod"></a>

```typescript
public readonly copyrightPeriod: string;
```

- *Type:* `string`
- *Default:* current year

The copyright years to put in the LICENSE file.

---

##### ~~`dependabot`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.dependabot"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabot: boolean;
```

- *Type:* `boolean`
- *Default:* false

Include dependabot configuration.

---

##### ~~`dependabotOptions`~~<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.dependabotOptions"></a>

- *Deprecated:* - use `depsUpgrade: DependenciesUpgrade.dependabot`

```typescript
public readonly dependabotOptions: DependabotOptions;
```

- *Type:* [`projen.github.DependabotOptions`](#projen.github.DependabotOptions)
- *Default:* default options

Options for dependabot.

---

##### `depsUpgrade`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.depsUpgrade"></a>

```typescript
public readonly depsUpgrade: DependenciesUpgradeMechanism;
```

- *Type:* [`projen.DependenciesUpgradeMechanism`](#projen.DependenciesUpgradeMechanism)
- *Default:* DependenciesUpgrade.GITHUB_ACTIONS

How to handle dependency upgrades.

---

##### `gitignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.gitignore"></a>

```typescript
public readonly gitignore: string[];
```

- *Type:* `string`[]

Additional entries to .gitignore.

---

##### `initialVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.initialVersion"></a>

```typescript
public readonly initialVersion: string;
```

- *Type:* `string`
- *Default:* "v0.1.0"

The initial version of the repo.

The first release will bump over this
version, so it will be v0.1.1 or v0.2.0 (depending on whether the first
bump is minor or patch).

---

##### `jest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.jest"></a>

```typescript
public readonly jest: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup jest unit tests.

---

##### `jestOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.jestOptions"></a>

```typescript
public readonly jestOptions: JestOptions;
```

- *Type:* [`projen.JestOptions`](#projen.JestOptions)
- *Default:* default options

Jest options.

---

##### `jsiiReleaseVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.jsiiReleaseVersion"></a>

```typescript
public readonly jsiiReleaseVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

Version requirement of `jsii-release` which is used to publish modules to npm.

---

##### `mergifyAutoMergeLabel`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.mergifyAutoMergeLabel"></a>

```typescript
public readonly mergifyAutoMergeLabel: string;
```

- *Type:* `string`
- *Default:* "auto-merge"

Automatically merge PRs that build successfully and have this label.

To disable, set this value to an empty string.

---

##### `mergifyOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.mergifyOptions"></a>

```typescript
public readonly mergifyOptions: MergifyOptions;
```

- *Type:* [`projen.github.MergifyOptions`](#projen.github.MergifyOptions)
- *Default:* default options

Options for mergify.

---

##### `mutableBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.mutableBuild"></a>

```typescript
public readonly mutableBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically update files modified during builds to pull-request branches.

This means
that any files synthesized by projen or e.g. test snapshots will always be up-to-date
before a PR is merged.

Implies that PR builds do not have anti-tamper checks.

---

##### `npmignore`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmignore"></a>

```typescript
public readonly npmignore: string[];
```

- *Type:* `string`[]

Additional entries to .npmignore.

---

##### `npmignoreEnabled`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.npmignoreEnabled"></a>

```typescript
public readonly npmignoreEnabled: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines an .npmignore file. Normally this is only needed for libraries that are packaged as tarballs.

---

##### `projenDevDependency`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenDevDependency"></a>

```typescript
public readonly projenDevDependency: boolean;
```

- *Type:* `boolean`
- *Default:* true

Indicates of "projen" should be installed as a devDependency.

---

##### `projenDuringBuild`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenDuringBuild"></a>

```typescript
public readonly projenDuringBuild: boolean;
```

- *Type:* `boolean`
- *Default:* true

Execute `projen` as the first step of the `build` task to synthesize project files.

This applies both to local builds and to CI builds.

Disabling this feature is NOT RECOMMENDED and means that manual changes to
synthesized project files will be persisted.

---

##### `projenrcJs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenrcJs"></a>

```typescript
public readonly projenrcJs: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate (once) .projenrc.js (in JavaScript). Set to `false` in order to disable .projenrc.js generation.

---

##### `projenrcJsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenrcJsOptions"></a>

```typescript
public readonly projenrcJsOptions: ProjenrcOptions;
```

- *Type:* [`projen.javascript.ProjenrcOptions`](#projen.javascript.ProjenrcOptions)
- *Default:* default options

Options for .projenrc.js.

---

##### `projenUpgradeAutoMerge`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenUpgradeAutoMerge"></a>

```typescript
public readonly projenUpgradeAutoMerge: boolean;
```

- *Type:* `boolean`
- *Default:* "true" if mergify auto-merge is enabled (default)

Automatically merge projen upgrade PRs when build passes.

Applies the `mergifyAutoMergeLabel` to the PR if enabled.

---

##### `projenUpgradeSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenUpgradeSchedule"></a>

```typescript
public readonly projenUpgradeSchedule: string[];
```

- *Type:* `string`[]
- *Default:* [ "0 6 * * *" ]

Customize the projenUpgrade schedule in cron expression.

---

##### `projenUpgradeSecret`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenUpgradeSecret"></a>

```typescript
public readonly projenUpgradeSecret: string;
```

- *Type:* `string`
- *Default:* no automatic projen upgrade pull requests

Periodically submits a pull request for projen upgrades (executes `yarn projen:upgrade`).

This setting is a GitHub secret name which contains a GitHub Access Token
with `repo` and `workflow` permissions.

This token is used to submit the upgrade pull request, which will likely
include workflow updates.

To create a personal access token see https://github.com/settings/tokens

---

##### `projenVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenVersion"></a>

```typescript
public readonly projenVersion: string;
```

- *Type:* `string`
- *Default:* Defaults to the latest version.

Version of projen to install.

---

##### `pullRequestTemplate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.pullRequestTemplate"></a>

```typescript
public readonly pullRequestTemplate: boolean;
```

- *Type:* `boolean`
- *Default:* true

Include a GitHub pull request template.

---

##### `pullRequestTemplateContents`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.pullRequestTemplateContents"></a>

```typescript
public readonly pullRequestTemplateContents: string;
```

- *Type:* `string`
- *Default:* default content

The contents of the pull request template.

---

##### `releaseBranches`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseBranches"></a>

```typescript
public readonly releaseBranches: string[];
```

- *Type:* `string`[]
- *Default:* [ "main" ]

Branches which trigger a release.

Default value is based on defaultReleaseBranch.

---

##### `releaseEveryCommit`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseEveryCommit"></a>

```typescript
public readonly releaseEveryCommit: boolean;
```

- *Type:* `boolean`
- *Default:* true

Automatically release new versions every commit to one of branches in `releaseBranches`.

---

##### `releaseSchedule`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseSchedule"></a>

```typescript
public readonly releaseSchedule: string;
```

- *Type:* `string`
- *Default:* no scheduled releases

CRON schedule to trigger new releases.

---

##### `releaseToNpm`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseToNpm"></a>

```typescript
public readonly releaseToNpm: boolean;
```

- *Type:* `boolean`
- *Default:* false

Automatically release to npm when new versions are introduced.

---

##### `releaseWorkflow`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseWorkflow"></a>

```typescript
public readonly releaseWorkflow: boolean;
```

- *Type:* `boolean`
- *Default:* true if not a subproject

Define a GitHub workflow for releasing from "main" when new versions are bumped.

Requires that `version` will be undefined.

---

##### `releaseWorkflowSetupSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.releaseWorkflowSetupSteps"></a>

```typescript
public readonly releaseWorkflowSetupSteps: any[];
```

- *Type:* `any`[]

A set of workflow steps to execute in order to setup the workflow container.

---

##### `workflowBootstrapSteps`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.workflowBootstrapSteps"></a>

```typescript
public readonly workflowBootstrapSteps: any[];
```

- *Type:* `any`[]
- *Default:* "yarn install --frozen-lockfile && yarn projen"

Workflow steps to use in order to bootstrap this repo.

---

##### `workflowContainerImage`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.workflowContainerImage"></a>

```typescript
public readonly workflowContainerImage: string;
```

- *Type:* `string`
- *Default:* default image

Container image to use for GitHub workflows.

---

##### `workflowNodeVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.workflowNodeVersion"></a>

```typescript
public readonly workflowNodeVersion: string;
```

- *Type:* `string`
- *Default:* same as `minNodeVersion`

The node version to use in GitHub workflows.

---

##### `compileBeforeTest`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.compileBeforeTest"></a>

```typescript
public readonly compileBeforeTest: boolean;
```

- *Type:* `boolean`
- *Default:* if `testdir` is under `src/**`, the default is `true`, otherwise the default is `false.

Compile the code before running tests.

---

##### `disableTsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.disableTsconfig"></a>

```typescript
public readonly disableTsconfig: boolean;
```

- *Type:* `boolean`
- *Default:* false

Do not generate a `tsconfig.json` file (used by jsii projects since tsconfig.json is generated by the jsii compiler).

---

##### `docgen`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.docgen"></a>

```typescript
public readonly docgen: boolean;
```

- *Type:* `boolean`
- *Default:* false

Docgen by Typedoc.

---

##### `docsDirectory`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.docsDirectory"></a>

```typescript
public readonly docsDirectory: string;
```

- *Type:* `string`
- *Default:* "docs"

Docs directory.

---

##### `entrypointTypes`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.entrypointTypes"></a>

```typescript
public readonly entrypointTypes: string;
```

- *Type:* `string`
- *Default:* .d.ts file derived from the project's entrypoint (usually lib/index.d.ts)

The .d.ts file that includes the type declarations for this module.

---

##### `eslint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.eslint"></a>

```typescript
public readonly eslint: boolean;
```

- *Type:* `boolean`
- *Default:* true

Setup eslint.

---

##### `eslintOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.eslintOptions"></a>

```typescript
public readonly eslintOptions: EslintOptions;
```

- *Type:* [`projen.EslintOptions`](#projen.EslintOptions)
- *Default:* opinionated default options

Eslint options.

---

##### `libdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.libdir"></a>

```typescript
public readonly libdir: string;
```

- *Type:* `string`
- *Default:* "lib"

Typescript  artifacts output directory.

---

##### `package`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.package"></a>

```typescript
public readonly package: boolean;
```

- *Type:* `boolean`
- *Default:* true

Defines a `yarn package` command that will produce a tarball and place it under `dist/js`.

---

##### `projenrcTs`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenrcTs"></a>

```typescript
public readonly projenrcTs: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use TypeScript for your projenrc file (`.projenrc.ts`).

---

##### `projenrcTsOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.projenrcTsOptions"></a>

```typescript
public readonly projenrcTsOptions: ProjenrcOptions;
```

- *Type:* [`projen.typescript.ProjenrcOptions`](#projen.typescript.ProjenrcOptions)

Options for .projenrc.ts.

---

##### `sampleCode`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.sampleCode"></a>

```typescript
public readonly sampleCode: boolean;
```

- *Type:* `boolean`
- *Default:* true

Generate one-time sample in `src/` and `test/` if there are no files there.

---

##### `srcdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.srcdir"></a>

```typescript
public readonly srcdir: string;
```

- *Type:* `string`
- *Default:* "src"

Typescript sources directory.

---

##### `testdir`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.testdir"></a>

```typescript
public readonly testdir: string;
```

- *Type:* `string`
- *Default:* "test"

Jest tests directory. Tests files should be named `xxx.test.ts`.

If this directory is under `srcdir` (e.g. `src/test`, `src/__tests__`),
then tests are going to be compiled into `lib/` and executed as javascript.
If the test directory is outside of `src`, then we configure jest to
compile the code in-memory.

---

##### `tsconfig`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.tsconfig"></a>

```typescript
public readonly tsconfig: TypescriptConfigOptions;
```

- *Type:* [`projen.TypescriptConfigOptions`](#projen.TypescriptConfigOptions)

Custom TSConfig.

---

##### `typescriptVersion`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.typescriptVersion"></a>

```typescript
public readonly typescriptVersion: string;
```

- *Type:* `string`
- *Default:* "latest"

TypeScript version to use.

NOTE: Typescript is not semantically versioned and should remain on the
same minor, so we recommend using a `~` dependency (e.g. `~1.2.3`).

---

##### `cdkVersion`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.cdkVersion"></a>

```typescript
public readonly cdkVersion: string;
```

- *Type:* `string`
- *Default:* "1.95.2"

AWS CDK version to use.

---

##### `appEntrypoint`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.appEntrypoint"></a>

```typescript
public readonly appEntrypoint: string;
```

- *Type:* `string`
- *Default:* "main.ts"

The CDK app's entrypoint (relative to the source directory, which is "src" by default).

---

##### `cdkDependencies`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.cdkDependencies"></a>

```typescript
public readonly cdkDependencies: string[];
```

- *Type:* `string`[]

Which AWS CDK modules (those that start with "@aws-cdk/") this app uses.

---

##### `cdkVersionPinning`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.cdkVersionPinning"></a>

```typescript
public readonly cdkVersionPinning: boolean;
```

- *Type:* `boolean`
- *Default:* false

Use pinned version instead of caret version for CDK.

You can use this to prevent yarn to mix versions for your CDK dependencies and to prevent auto-updates.
If you use experimental features this will let you define the moment you include breaking changes.

---

##### `context`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.context"></a>

```typescript
public readonly context: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Additional context to include in `cdk.json`.

---

##### `requireApproval`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.requireApproval"></a>

```typescript
public readonly requireApproval: CdkApprovalLevel;
```

- *Type:* [`projen.CdkApprovalLevel`](#projen.CdkApprovalLevel)
- *Default:* CdkApprovalLevel.BROADENING

To protect you against unintended changes that affect your security posture, the AWS CDK Toolkit prompts you to approve security-related changes before deploying them.

---

##### `nodeLicenseCheck`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.nodeLicenseCheck"></a>

```typescript
public readonly nodeLicenseCheck: boolean;
```

- *Type:* `boolean`
- *Default:* true

Includes a task to run license check for node projects.

---

##### `toggles`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.toggles"></a>

```typescript
public readonly toggles: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

Feature toggles used by this library.

---

##### `cdkPipeline`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.cdkPipeline"></a>

```typescript
public readonly cdkPipeline: boolean;
```

- *Type:* `boolean`
- *Default:* true

Adds support for CdkPipeline.

---

##### `preCommitHook`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.preCommitHook"></a>

```typescript
public readonly preCommitHook: boolean;
```

- *Type:* `boolean`
- *Default:* true

If pre-commit package should be installed.

---

##### `renovate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.renovate"></a>

```typescript
public readonly renovate: boolean;
```

- *Type:* `boolean`
- *Default:* true

If renovate should be enabled/disabled.

---

##### `renovateOptions`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessAppOptions.property.renovateOptions"></a>

```typescript
public readonly renovateOptions: RenovateOptions;
```

- *Type:* [`@rioclaid/cdk-constructs.RenovateOptions`](#@rioclaid/cdk-constructs.RenovateOptions)

Includes renovate configuration.

---

### WatchApplicationLoadBalancerOptions <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchApplicationLoadBalancerOptions } from '@rioclaid/cdk-constructs'

const watchApplicationLoadBalancerOptions: WatchApplicationLoadBalancerOptions = { ... }
```

##### `http5xxPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerOptions.property.http5xxPerMinuteThreshold"></a>

```typescript
public readonly http5xxPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed HTTP 5xx requests per minute.

---

##### `rejectedConnectionPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerOptions.property.rejectedConnectionPerMinuteThreshold"></a>

```typescript
public readonly rejectedConnectionPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed rejected connections per minute.

---

### WatchApplicationLoadBalancerProps <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps"></a>

Properties for defining a WatchApplicationLoadBalancer.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchApplicationLoadBalancerProps } from '@rioclaid/cdk-constructs'

const watchApplicationLoadBalancerProps: WatchApplicationLoadBalancerProps = { ... }
```

##### `http5xxPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps.property.http5xxPerMinuteThreshold"></a>

```typescript
public readonly http5xxPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed HTTP 5xx requests per minute.

---

##### `rejectedConnectionPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps.property.rejectedConnectionPerMinuteThreshold"></a>

```typescript
public readonly rejectedConnectionPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed rejected connections per minute.

---

##### `alb`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps.property.alb"></a>

```typescript
public readonly alb: ApplicationLoadBalancer;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationLoadBalancer)

The application load balancer that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationLoadBalancerProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchApplicationTargetGroupOptions <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchApplicationTargetGroupOptions } from '@rioclaid/cdk-constructs'

const watchApplicationTargetGroupOptions: WatchApplicationTargetGroupOptions = { ... }
```

##### `http5xxPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupOptions.property.http5xxPerMinuteThreshold"></a>

```typescript
public readonly http5xxPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed HTTP 5xx requests per minute.

---

##### `targetConnectionErrorPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupOptions.property.targetConnectionErrorPerMinuteThreshold"></a>

```typescript
public readonly targetConnectionErrorPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed target connection errors per minute.

---

### WatchApplicationTargetGroupProps <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps"></a>

Properties for defining a WatchApplicationTargetGroup.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchApplicationTargetGroupProps } from '@rioclaid/cdk-constructs'

const watchApplicationTargetGroupProps: WatchApplicationTargetGroupProps = { ... }
```

##### `http5xxPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps.property.http5xxPerMinuteThreshold"></a>

```typescript
public readonly http5xxPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed HTTP 5xx requests per minute.

---

##### `targetConnectionErrorPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps.property.targetConnectionErrorPerMinuteThreshold"></a>

```typescript
public readonly targetConnectionErrorPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed target connection errors per minute.

---

##### `atg`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps.property.atg"></a>

```typescript
public readonly atg: ApplicationTargetGroup;
```

- *Type:* [`@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup`](#@aws-cdk/aws-elasticloadbalancingv2.ApplicationTargetGroup)

The application target group that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchApplicationTargetGroupProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchCloudfrontDistributionOptions <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchCloudfrontDistributionOptions } from '@rioclaid/cdk-constructs'

const watchCloudfrontDistributionOptions: WatchCloudfrontDistributionOptions = { ... }
```

##### `cacheHitPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionOptions.property.cacheHitPercent"></a>

```typescript
public readonly cacheHitPercent: number;
```

- *Type:* `number`
- *Default:* 40

Threshold for the cache hit alarm as percentage of the Cloudfront Distribution.

If this is set to 40%, the alarm will be set when the cache hit perentage is
lower than the threshold setting

---

##### `errorsPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionOptions.property.errorsPerMinuteThreshold"></a>

```typescript
public readonly errorsPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed errors per minute.

If there are more errors than that, an alarm will trigger.

---

### WatchCloudfrontDistributionProps <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps"></a>

Properties for defining a WatchCloudfrontDistribution.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchCloudfrontDistributionProps } from '@rioclaid/cdk-constructs'

const watchCloudfrontDistributionProps: WatchCloudfrontDistributionProps = { ... }
```

##### `cacheHitPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps.property.cacheHitPercent"></a>

```typescript
public readonly cacheHitPercent: number;
```

- *Type:* `number`
- *Default:* 40

Threshold for the cache hit alarm as percentage of the Cloudfront Distribution.

If this is set to 40%, the alarm will be set when the cache hit perentage is
lower than the threshold setting

---

##### `errorsPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps.property.errorsPerMinuteThreshold"></a>

```typescript
public readonly errorsPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed errors per minute.

If there are more errors than that, an alarm will trigger.

---

##### `cf`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps.property.cf"></a>

```typescript
public readonly cf: Distribution;
```

- *Type:* [`@aws-cdk/aws-cloudfront.Distribution`](#@aws-cdk/aws-cloudfront.Distribution)

The cloudfront distribution that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchCloudfrontDistributionProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchDatabaseClusterOptions <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDatabaseClusterOptions } from '@rioclaid/cdk-constructs'

const watchDatabaseClusterOptions: WatchDatabaseClusterOptions = { ... }
```

##### `cpuUtilizationThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterOptions.property.cpuUtilizationThreshold"></a>

```typescript
public readonly cpuUtilizationThreshold: number;
```

- *Type:* `number`
- *Default:* 80

Max CPU utilization threshold in percent.

---

##### `freeableMemoryThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterOptions.property.freeableMemoryThreshold"></a>

```typescript
public readonly freeableMemoryThreshold: number;
```

- *Type:* `number`
- *Default:* 64000000

Max freeable memory threshold in Byte.

---

### WatchDatabaseClusterProps <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterProps"></a>

Properties for defining a WatchDatabaseCluster.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDatabaseClusterProps } from '@rioclaid/cdk-constructs'

const watchDatabaseClusterProps: WatchDatabaseClusterProps = { ... }
```

##### `cpuUtilizationThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterProps.property.cpuUtilizationThreshold"></a>

```typescript
public readonly cpuUtilizationThreshold: number;
```

- *Type:* `number`
- *Default:* 80

Max CPU utilization threshold in percent.

---

##### `freeableMemoryThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterProps.property.freeableMemoryThreshold"></a>

```typescript
public readonly freeableMemoryThreshold: number;
```

- *Type:* `number`
- *Default:* 64000000

Max freeable memory threshold in Byte.

---

##### `databaseCluster`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterProps.property.databaseCluster"></a>

```typescript
public readonly databaseCluster: DatabaseCluster;
```

- *Type:* [`@aws-cdk/aws-rds.DatabaseCluster`](#@aws-cdk/aws-rds.DatabaseCluster)

The database cluster that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDatabaseClusterProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchDocDbClusterOptions <a name="@rioclaid/cdk-constructs.WatchDocDbClusterOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDocDbClusterOptions } from '@rioclaid/cdk-constructs'

const watchDocDbClusterOptions: WatchDocDbClusterOptions = { ... }
```

##### `cpuUtilizationThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterOptions.property.cpuUtilizationThreshold"></a>

```typescript
public readonly cpuUtilizationThreshold: number;
```

- *Type:* `number`
- *Default:* 80

Threshold of database cpu utilization.

---

##### `freeableMemoryThresholdInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterOptions.property.freeableMemoryThresholdInByte"></a>

```typescript
public readonly freeableMemoryThresholdInByte: number;
```

- *Type:* `number`
- *Default:* 64000000 (64 Megabyte)

Minimum database freeable memory in bytes.

---

##### `freeLocalStorageInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterOptions.property.freeLocalStorageInByte"></a>

```typescript
public readonly freeLocalStorageInByte: number;
```

- *Type:* `number`
- *Default:* 2000000000 (2 Gigabyte)

Minimum database free local storage space.

---

##### `swapUsageThresholdInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterOptions.property.swapUsageThresholdInByte"></a>

```typescript
public readonly swapUsageThresholdInByte: number;
```

- *Type:* `number`
- *Default:* 256000000 (256 Megabyte)

Threshold of database swap usage.

---

### WatchDocDbClusterProps <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps"></a>

Properties for defining a WatchDocDbCluster.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDocDbClusterProps } from '@rioclaid/cdk-constructs'

const watchDocDbClusterProps: WatchDocDbClusterProps = { ... }
```

##### `cpuUtilizationThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.cpuUtilizationThreshold"></a>

```typescript
public readonly cpuUtilizationThreshold: number;
```

- *Type:* `number`
- *Default:* 80

Threshold of database cpu utilization.

---

##### `freeableMemoryThresholdInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.freeableMemoryThresholdInByte"></a>

```typescript
public readonly freeableMemoryThresholdInByte: number;
```

- *Type:* `number`
- *Default:* 64000000 (64 Megabyte)

Minimum database freeable memory in bytes.

---

##### `freeLocalStorageInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.freeLocalStorageInByte"></a>

```typescript
public readonly freeLocalStorageInByte: number;
```

- *Type:* `number`
- *Default:* 2000000000 (2 Gigabyte)

Minimum database free local storage space.

---

##### `swapUsageThresholdInByte`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.swapUsageThresholdInByte"></a>

```typescript
public readonly swapUsageThresholdInByte: number;
```

- *Type:* `number`
- *Default:* 256000000 (256 Megabyte)

Threshold of database swap usage.

---

##### `docDb`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.docDb"></a>

```typescript
public readonly docDb: DatabaseCluster;
```

- *Type:* [`@aws-cdk/aws-docdb.DatabaseCluster`](#@aws-cdk/aws-docdb.DatabaseCluster)

The DocDB cluster that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDocDbClusterProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchDynamoDbTableOptions <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDynamoDbTableOptions } from '@rioclaid/cdk-constructs'

const watchDynamoDbTableOptions: WatchDynamoDbTableOptions = { ... }
```

##### `readThrottleEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions.property.readThrottleEventsThreshold"></a>

```typescript
public readonly readThrottleEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of read throttle events.

---

##### `systemErrorsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions.property.systemErrorsThreshold"></a>

```typescript
public readonly systemErrorsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of system errors.

---

##### `throttledRequestsEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions.property.throttledRequestsEventsThreshold"></a>

```typescript
public readonly throttledRequestsEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of throttled requests events.

---

##### `userErrorsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions.property.userErrorsThreshold"></a>

```typescript
public readonly userErrorsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of user errors.

---

##### `writeThrottleEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableOptions.property.writeThrottleEventsThreshold"></a>

```typescript
public readonly writeThrottleEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of write throttle events.

---

### WatchDynamoDbTableProps <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps"></a>

Properties for defining a WatchDynamoDbTable.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchDynamoDbTableProps } from '@rioclaid/cdk-constructs'

const watchDynamoDbTableProps: WatchDynamoDbTableProps = { ... }
```

##### `readThrottleEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.readThrottleEventsThreshold"></a>

```typescript
public readonly readThrottleEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of read throttle events.

---

##### `systemErrorsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.systemErrorsThreshold"></a>

```typescript
public readonly systemErrorsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of system errors.

---

##### `throttledRequestsEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.throttledRequestsEventsThreshold"></a>

```typescript
public readonly throttledRequestsEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of throttled requests events.

---

##### `userErrorsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.userErrorsThreshold"></a>

```typescript
public readonly userErrorsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of user errors.

---

##### `writeThrottleEventsThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.writeThrottleEventsThreshold"></a>

```typescript
public readonly writeThrottleEventsThreshold: number;
```

- *Type:* `number`
- *Default:* 1

Threshold of write throttle events.

---

##### `dynamoDbTable`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.dynamoDbTable"></a>

```typescript
public readonly dynamoDbTable: Table;
```

- *Type:* [`@aws-cdk/aws-dynamodb.Table`](#@aws-cdk/aws-dynamodb.Table)

The DynamoDb table that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchDynamoDbTableProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchEcsServiceOptions <a name="@rioclaid/cdk-constructs.WatchEcsServiceOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchEcsServiceOptions } from '@rioclaid/cdk-constructs'

const watchEcsServiceOptions: WatchEcsServiceOptions = { ... }
```

##### `cpuUtilizationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceOptions.property.cpuUtilizationThresholdPercent"></a>

```typescript
public readonly cpuUtilizationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 80

Threshold for the cpu utilization alarm as percentage.

---

##### `memoryUtilizationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceOptions.property.memoryUtilizationThresholdPercent"></a>

```typescript
public readonly memoryUtilizationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 95

Threshold for the memory utilization alarm as percentage.

---

### WatchEcsServiceProps <a name="@rioclaid/cdk-constructs.WatchEcsServiceProps"></a>

Properties for defining a WatchEcsService.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchEcsServiceProps } from '@rioclaid/cdk-constructs'

const watchEcsServiceProps: WatchEcsServiceProps = { ... }
```

##### `cpuUtilizationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceProps.property.cpuUtilizationThresholdPercent"></a>

```typescript
public readonly cpuUtilizationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 80

Threshold for the cpu utilization alarm as percentage.

---

##### `memoryUtilizationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceProps.property.memoryUtilizationThresholdPercent"></a>

```typescript
public readonly memoryUtilizationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 95

Threshold for the memory utilization alarm as percentage.

---

##### `service`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceProps.property.service"></a>

```typescript
public readonly service: BaseService;
```

- *Type:* [`@aws-cdk/aws-ecs.BaseService`](#@aws-cdk/aws-ecs.BaseService)

The ECS service that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchEcsServiceProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

### WatchfulProps <a name="@rioclaid/cdk-constructs.WatchfulProps"></a>

Properties for defining Watchful.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchfulProps } from '@rioclaid/cdk-constructs'

const watchfulProps: WatchfulProps = { ... }
```

##### `alarmSns`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchfulProps.property.alarmSns"></a>

```typescript
public readonly alarmSns: ITopic;
```

- *Type:* [`@aws-cdk/aws-sns.ITopic`](#@aws-cdk/aws-sns.ITopic)
- *Default:* : The SNS topic provided by OpsGenie Integration account module.

An SNS topic as target for alarm actions.

---

##### `dataDogMonitorServiceName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchfulProps.property.dataDogMonitorServiceName"></a>

```typescript
public readonly dataDogMonitorServiceName: string;
```

- *Type:* `string`
- *Default:* : The stack anme.

The service name.

---

##### `dataDogMonitorServiceToken`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchfulProps.property.dataDogMonitorServiceToken"></a>

```typescript
public readonly dataDogMonitorServiceToken: string;
```

- *Type:* `string`
- *Default:* : Empty.

The service token for the DataDog Monitor custom resource.

---

##### `dataDogOpsGenieIntegrationName`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchfulProps.property.dataDogOpsGenieIntegrationName"></a>

```typescript
public readonly dataDogOpsGenieIntegrationName: string;
```

- *Type:* `string`
- *Default:* : Empty if dataDogMonitorServiceToken is not set. Otherwise, team SSM parameter from LandingZone is used.

The OpsGenie handle used in DataDog to forward the DD monitor to OpsGenie.

---

### WatchLambdaFunctionOptions <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionOptions"></a>

Options for defining alarms.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchLambdaFunctionOptions } from '@rioclaid/cdk-constructs'

const watchLambdaFunctionOptions: WatchLambdaFunctionOptions = { ... }
```

##### `durationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionOptions.property.durationThresholdPercent"></a>

```typescript
public readonly durationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 80

Threshold for the duration alarm as percentage of the function's timeout value.

If this is set to 50%, the alarm will be set when p99 latency of the
function exceeds 50% of the function's timeout setting.

---

##### `errorsPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionOptions.property.errorsPerMinuteThreshold"></a>

```typescript
public readonly errorsPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed errors per minute.

If there are more errors than that, an alarm will trigger.

---

##### `throttlesPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionOptions.property.throttlesPerMinuteThreshold"></a>

```typescript
public readonly throttlesPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed throttles per minute.

---

### WatchLambdaFunctionProps <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps"></a>

Properties for defining a WatchLambdaFunction.

#### Initializer <a name="[object Object].Initializer"></a>

```typescript
import { WatchLambdaFunctionProps } from '@rioclaid/cdk-constructs'

const watchLambdaFunctionProps: WatchLambdaFunctionProps = { ... }
```

##### `durationThresholdPercent`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps.property.durationThresholdPercent"></a>

```typescript
public readonly durationThresholdPercent: number;
```

- *Type:* `number`
- *Default:* 80

Threshold for the duration alarm as percentage of the function's timeout value.

If this is set to 50%, the alarm will be set when p99 latency of the
function exceeds 50% of the function's timeout setting.

---

##### `errorsPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps.property.errorsPerMinuteThreshold"></a>

```typescript
public readonly errorsPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed errors per minute.

If there are more errors than that, an alarm will trigger.

---

##### `throttlesPerMinuteThreshold`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps.property.throttlesPerMinuteThreshold"></a>

```typescript
public readonly throttlesPerMinuteThreshold: number;
```

- *Type:* `number`
- *Default:* 0

Number of allowed throttles per minute.

---

##### `fn`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps.property.fn"></a>

```typescript
public readonly fn: Function;
```

- *Type:* [`@aws-cdk/aws-lambda.Function`](#@aws-cdk/aws-lambda.Function)

The lambda function that should be watched.

[disable-awslint:ref-via-interface]

---

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchLambdaFunctionProps.property.watchful"></a>

```typescript
public readonly watchful: IWatchful;
```

- *Type:* [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

The reference to IWatchful class.

Used internally.

---

## Classes <a name="Classes"></a>

### CdkPipelineAspect <a name="@rioclaid/cdk-constructs.CdkPipelineAspect"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.CdkPipelineAspect.Initializer"></a>

```typescript
import { CdkPipelineAspect } from '@rioclaid/cdk-constructs'

new CdkPipelineAspect(app: RioFargateWebApp)
```

##### `app`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.CdkPipelineAspect.parameter.app"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioFargateWebApp`](#@rioclaid/cdk-constructs.RioFargateWebApp)

---





### GitTagReleaseWorkflow <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflow"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflow.Initializer"></a>

```typescript
import { GitTagReleaseWorkflow } from '@rioclaid/cdk-constructs'

new GitTagReleaseWorkflow(app: TypeScriptAppProject, options: GitTagReleaseWorkflowOptions)
```

##### `app`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflow.parameter.app"></a>

- *Type:* [`projen.TypeScriptAppProject`](#projen.TypeScriptAppProject)

---

##### `options`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.GitTagReleaseWorkflow.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.GitTagReleaseWorkflowOptions`](#@rioclaid/cdk-constructs.GitTagReleaseWorkflowOptions)

---





### NodeLicenseCheck <a name="@rioclaid/cdk-constructs.NodeLicenseCheck"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.NodeLicenseCheck.Initializer"></a>

```typescript
import { NodeLicenseCheck } from '@rioclaid/cdk-constructs'

new NodeLicenseCheck(app: TypeScriptAppProject)
```

##### `app`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.NodeLicenseCheck.parameter.app"></a>

- *Type:* [`projen.TypeScriptAppProject`](#projen.TypeScriptAppProject)

---





### Renovate <a name="@rioclaid/cdk-constructs.Renovate"></a>

(experimental) Defines Renovate configuration for node projects.

Since module versions are managed in projen, the versioning strategy will be
configured to "lockfile-only" which means that only updates that can be done
on the lockfile itself will be proposed.

#### Initializers <a name="@rioclaid/cdk-constructs.Renovate.Initializer"></a>

```typescript
import { Renovate } from '@rioclaid/cdk-constructs'

new Renovate(project: Project, renovateConfigPath: string, _options?: RenovateOptions)
```

##### `project`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Renovate.parameter.project"></a>

- *Type:* [`projen.Project`](#projen.Project)

---

##### `renovateConfigPath`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Renovate.parameter.renovateConfigPath"></a>

- *Type:* `string`

---

##### `_options`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.Renovate.parameter._options"></a>

- *Type:* [`@rioclaid/cdk-constructs.RenovateOptions`](#@rioclaid/cdk-constructs.RenovateOptions)

---



#### Properties <a name="Properties"></a>

##### `config`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.Renovate.property.config"></a>

```typescript
public readonly config: any;
```

- *Type:* `any`

The raw renovate configuration.

> https://docs.renovatebot.com/configuration-options

---


### ResetSampleCode <a name="@rioclaid/cdk-constructs.ResetSampleCode"></a>

Resets the sample code.

#### Initializers <a name="@rioclaid/cdk-constructs.ResetSampleCode.Initializer"></a>

```typescript
import { ResetSampleCode } from '@rioclaid/cdk-constructs'

new ResetSampleCode(project: Project)
```

##### `project`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.ResetSampleCode.parameter.project"></a>

- *Type:* [`projen.Project`](#projen.Project)

---





### RioAwsCdkTypeScriptApp <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptApp"></a>

RIO AWS CDK TypeScript App.

#### Initializers <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptApp.Initializer"></a>

```typescript
import { RioAwsCdkTypeScriptApp } from '@rioclaid/cdk-constructs'

new RioAwsCdkTypeScriptApp(options: RioAwsCdkTypeScriptAppOptions)
```

##### `options`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptApp.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions`](#@rioclaid/cdk-constructs.RioAwsCdkTypeScriptAppOptions)

---



#### Properties <a name="Properties"></a>

##### `toggles`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioAwsCdkTypeScriptApp.property.toggles"></a>

```typescript
public readonly toggles: {[ key: string ]: string};
```

- *Type:* {[ key: string ]: `string`}

---


### RioBitBucketSourceAction <a name="@rioclaid/cdk-constructs.RioBitBucketSourceAction"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.RioBitBucketSourceAction.Initializer"></a>

```typescript
import { RioBitBucketSourceAction } from '@rioclaid/cdk-constructs'

new RioBitBucketSourceAction(scope: Construct, props: RioBitBucketSourceActionProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioBitBucketSourceAction.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioBitBucketSourceAction.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioBitBucketSourceActionProps`](#@rioclaid/cdk-constructs.RioBitBucketSourceActionProps)

---





### RioFargateWebApp <a name="@rioclaid/cdk-constructs.RioFargateWebApp"></a>

AWS CDK app in TypeScript.

#### Initializers <a name="@rioclaid/cdk-constructs.RioFargateWebApp.Initializer"></a>

```typescript
import { RioFargateWebApp } from '@rioclaid/cdk-constructs'

new RioFargateWebApp(options: RioFargateWebAppOptions)
```

##### `options`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebApp.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioFargateWebAppOptions`](#@rioclaid/cdk-constructs.RioFargateWebAppOptions)

---



#### Properties <a name="Properties"></a>

##### `renovate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioFargateWebApp.property.renovate"></a>

```typescript
public readonly renovate: Renovate;
```

- *Type:* [`@rioclaid/cdk-constructs.Renovate`](#@rioclaid/cdk-constructs.Renovate)

---


### RioLandingZone <a name="@rioclaid/cdk-constructs.RioLandingZone"></a>

A wrapper to access infrastructure provided by RIO LandingZone setup (like VPC, HostedZone).

#### Initializers <a name="@rioclaid/cdk-constructs.RioLandingZone.Initializer"></a>

```typescript
import { RioLandingZone } from '@rioclaid/cdk-constructs'

new RioLandingZone()
```


#### Static Functions <a name="Static Functions"></a>

##### `getDefaultHostedZone` <a name="@rioclaid/cdk-constructs.RioLandingZone.getDefaultHostedZone"></a>

```typescript
import { RioLandingZone } from '@rioclaid/cdk-constructs'

RioLandingZone.getDefaultHostedZone(scope: Construct)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLandingZone.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `getDefaultVpc` <a name="@rioclaid/cdk-constructs.RioLandingZone.getDefaultVpc"></a>

```typescript
import { RioLandingZone } from '@rioclaid/cdk-constructs'

RioLandingZone.getDefaultVpc(scope: Construct)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioLandingZone.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---



### RioSecretsDeployAction <a name="@rioclaid/cdk-constructs.RioSecretsDeployAction"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.RioSecretsDeployAction.Initializer"></a>

```typescript
import { RioSecretsDeployAction } from '@rioclaid/cdk-constructs'

new RioSecretsDeployAction(scope: Construct, props: RioSecretsDeployActionProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployAction.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployAction.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioSecretsDeployActionProps`](#@rioclaid/cdk-constructs.RioSecretsDeployActionProps)

---





### RioSecretsDeployStep <a name="@rioclaid/cdk-constructs.RioSecretsDeployStep"></a>

#### Initializers <a name="@rioclaid/cdk-constructs.RioSecretsDeployStep.Initializer"></a>

```typescript
import { RioSecretsDeployStep } from '@rioclaid/cdk-constructs'

new RioSecretsDeployStep(scope: Construct, id: string, props: RioSecretsDeployStepProps)
```

##### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployStep.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

##### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployStep.parameter.id"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioSecretsDeployStep.parameter.props"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioSecretsDeployStepProps`](#@rioclaid/cdk-constructs.RioSecretsDeployStepProps)

---





### RioServerlessApp <a name="@rioclaid/cdk-constructs.RioServerlessApp"></a>

RIO Serverless App.

#### Initializers <a name="@rioclaid/cdk-constructs.RioServerlessApp.Initializer"></a>

```typescript
import { RioServerlessApp } from '@rioclaid/cdk-constructs'

new RioServerlessApp(options: RioServerlessAppOptions)
```

##### `options`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.RioServerlessApp.parameter.options"></a>

- *Type:* [`@rioclaid/cdk-constructs.RioServerlessAppOptions`](#@rioclaid/cdk-constructs.RioServerlessAppOptions)

---



#### Properties <a name="Properties"></a>

##### `renovate`<sup>Optional</sup> <a name="@rioclaid/cdk-constructs.RioServerlessApp.property.renovate"></a>

```typescript
public readonly renovate: Renovate;
```

- *Type:* [`@rioclaid/cdk-constructs.Renovate`](#@rioclaid/cdk-constructs.Renovate)

---


### WatchfulAspect <a name="@rioclaid/cdk-constructs.WatchfulAspect"></a>

- *Implements:* [`@aws-cdk/core.IAspect`](#@aws-cdk/core.IAspect)

A CDK aspect that can automatically watch all resources within a scope.

#### Initializers <a name="@rioclaid/cdk-constructs.WatchfulAspect.Initializer"></a>

```typescript
import { WatchfulAspect } from '@rioclaid/cdk-constructs'

new WatchfulAspect(watchful: Watchful)
```

##### `watchful`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchfulAspect.parameter.watchful"></a>

- *Type:* [`@rioclaid/cdk-constructs.Watchful`](#@rioclaid/cdk-constructs.Watchful)

The watchful to add those resources to.

---

#### Methods <a name="Methods"></a>

##### `visit` <a name="@rioclaid/cdk-constructs.WatchfulAspect.visit"></a>

```typescript
public visit(node: IConstruct)
```

###### `node`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.WatchfulAspect.parameter.node"></a>

- *Type:* [`@aws-cdk/core.IConstruct`](#@aws-cdk/core.IConstruct)

---




## Protocols <a name="Protocols"></a>

### IWatchful <a name="@rioclaid/cdk-constructs.IWatchful"></a>

- *Extends:* [`@aws-cdk/core.IConstruct`](#@aws-cdk/core.IConstruct)

- *Implemented By:* [`@rioclaid/cdk-constructs.Watchful`](#@rioclaid/cdk-constructs.Watchful), [`@rioclaid/cdk-constructs.IWatchful`](#@rioclaid/cdk-constructs.IWatchful)

Interface for Watchful implementation.

#### Methods <a name="Methods"></a>

##### `createAlarm` <a name="@rioclaid/cdk-constructs.IWatchful.createAlarm"></a>

```typescript
public createAlarm(scope: Construct, id: string, alarm: MetricAlarmProps)
```

###### `scope`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.IWatchful.parameter.scope"></a>

- *Type:* [`@aws-cdk/core.Construct`](#@aws-cdk/core.Construct)

---

###### `id`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.IWatchful.parameter.id"></a>

- *Type:* `string`

---

###### `alarm`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.IWatchful.parameter.alarm"></a>

- *Type:* [`@rioclaid/cdk-constructs.MetricAlarmProps`](#@rioclaid/cdk-constructs.MetricAlarmProps)

The watchful to add those resources to.

---

#### Properties <a name="Properties"></a>

##### `node`<sup>Required</sup> <a name="@rioclaid/cdk-constructs.IWatchful.property.node"></a>

```typescript
public readonly node: ConstructNode;
```

- *Type:* [`@aws-cdk/core.ConstructNode`](#@aws-cdk/core.ConstructNode)

The construct tree node for this construct.

---

## Enums <a name="Enums"></a>

### ClaidometerProduct <a name="ClaidometerProduct"></a>

#### `LANDING_ZONE` <a name="@rioclaid/cdk-constructs.ClaidometerProduct.LANDING_ZONE"></a>

---


#### `TEMPLATE` <a name="@rioclaid/cdk-constructs.ClaidometerProduct.TEMPLATE"></a>

---


### ClaidometerTemplate <a name="ClaidometerTemplate"></a>

#### `FARGATE_WEB_APP` <a name="@rioclaid/cdk-constructs.ClaidometerTemplate.FARGATE_WEB_APP"></a>

---


#### `SERVERLESS_APP` <a name="@rioclaid/cdk-constructs.ClaidometerTemplate.SERVERLESS_APP"></a>

---


### DataDogLoggingMode <a name="DataDogLoggingMode"></a>

#### `AWS_FIRE_LENS` <a name="@rioclaid/cdk-constructs.DataDogLoggingMode.AWS_FIRE_LENS"></a>

Forward logs directly to Datadog using AWS FireLens as log router, see https://docs.datadoghq.com/integrations/ecs_fargate/?tab=fluentbitandfirelens#log-collection.

---


#### `FORWARDER_LAMBDA` <a name="@rioclaid/cdk-constructs.DataDogLoggingMode.FORWARDER_LAMBDA"></a>

Store logs in AWS Cloudwatch and use the Datadog log forwarder lambda to forward the logs to Datadog, see https://docs.datadoghq.com/integrations/ecs_fargate/?tab=logdriver#log-collection.

---


#### `NONE` <a name="@rioclaid/cdk-constructs.DataDogLoggingMode.NONE"></a>

Only log to AWS Cloudwatch without forwarding the logs to Datadog.

---


### Framework <a name="Framework"></a>

#### `SPRING` <a name="@rioclaid/cdk-constructs.Framework.SPRING"></a>

Spring Framework, Spring Boot, and Spring Cloud AWS.

---


### TriggerKey <a name="TriggerKey"></a>

#### `MASTER_REPO` <a name="@rioclaid/cdk-constructs.TriggerKey.MASTER_REPO"></a>

points to master_repo.zip.

---


#### `BRANCH_REPO` <a name="@rioclaid/cdk-constructs.TriggerKey.BRANCH_REPO"></a>

points to branch_repo.zip.

---

